part of 'color_picker.dart';

final _names = {
  const Color(0xFFFFEBEE): 'Red 50',
  const Color(0xFFFFCDD2): 'Red 100',
  const Color(0xFFEF9A9A): 'Red 200',
  const Color(0xFFE57373): 'Red 300',
  const Color(0xFFEF5350): 'Red 400',
  const Color(0xFFF44336): 'Red 500',
  const Color(0xFFE53935): 'Red 600',
  const Color(0xFFD32F2F): 'Red 700',
  const Color(0xFFC62828): 'Red 800',
  const Color(0xFFB71C1C): 'Red 900',
  const Color(0xFFFF8A80): 'Red A100',
  const Color(0xFFFF5252): 'Red A200',
  const Color(0xFFFF1744): 'Red A400',
  const Color(0xFFD50000): 'Red A700',
  const Color(0xFFFCE4EC): 'Pink 50',
  const Color(0xFFF8BBD0): 'Pink 100',
  const Color(0xFFF48FB1): 'Pink 200',
  const Color(0xFFF06292): 'Pink 300',
  const Color(0xFFEC407A): 'Pink 400',
  const Color(0xFFE91E63): 'Pink 500',
  const Color(0xFFD81B60): 'Pink 600',
  const Color(0xFFC2185B): 'Pink 700',
  const Color(0xFFAD1457): 'Pink 800',
  const Color(0xFF880E4F): 'Pink 900',
  const Color(0xFFFF80AB): 'Pink A100',
  const Color(0xFFFF4081): 'Pink A200',
  const Color(0xFFF50057): 'Pink A400',
  const Color(0xFFC51162): 'Pink A700',
  const Color(0xFFF3E5F5): 'Purple 50',
  const Color(0xFFE1BEE7): 'Purple 100',
  const Color(0xFFCE93D8): 'Purple 200',
  const Color(0xFFBA68C8): 'Purple 300',
  const Color(0xFFAB47BC): 'Purple 400',
  const Color(0xFF9C27B0): 'Purple 500',
  const Color(0xFF8E24AA): 'Purple 600',
  const Color(0xFF7B1FA2): 'Purple 700',
  const Color(0xFF6A1B9A): 'Purple 800',
  const Color(0xFF4A148C): 'Purple 900',
  const Color(0xFFEA80FC): 'Purple A100',
  const Color(0xFFE040FB): 'Purple A200',
  const Color(0xFFD500F9): 'Purple A400',
  const Color(0xFFAA00FF): 'Purple A700',
  const Color(0xFFEDE7F6): 'Deep Purple 50',
  const Color(0xFFD1C4E9): 'Deep Purple 100',
  const Color(0xFFB39DDB): 'Deep Purple 200',
  const Color(0xFF9575CD): 'Deep Purple 300',
  const Color(0xFF7E57C2): 'Deep Purple 400',
  const Color(0xFF673AB7): 'Deep Purple 500',
  const Color(0xFF5E35B1): 'Deep Purple 600',
  const Color(0xFF512DA8): 'Deep Purple 700',
  const Color(0xFF4527A0): 'Deep Purple 800',
  const Color(0xFF311B92): 'Deep Purple 900',
  const Color(0xFFB388FF): 'Deep Purple A100',
  const Color(0xFF7C4DFF): 'Deep Purple A200',
  const Color(0xFF651FFF): 'Deep Purple A400',
  const Color(0xFF6200EA): 'Deep Purple A700',
  const Color(0xFFE8EAF6): 'Indigo 50',
  const Color(0xFFC5CAE9): 'Indigo 100',
  const Color(0xFF9FA8DA): 'Indigo 200',
  const Color(0xFF7986CB): 'Indigo 300',
  const Color(0xFF5C6BC0): 'Indigo 400',
  const Color(0xFF3F51B5): 'Indigo 500',
  const Color(0xFF3949AB): 'Indigo 600',
  const Color(0xFF303F9F): 'Indigo 700',
  const Color(0xFF283593): 'Indigo 800',
  const Color(0xFF1A237E): 'Indigo 900',
  const Color(0xFF8C9EFF): 'Indigo A100',
  const Color(0xFF536DFE): 'Indigo A200',
  const Color(0xFF3D5AFE): 'Indigo A400',
  const Color(0xFF304FFE): 'Indigo A700',
  const Color(0xFFE3F2FD): 'Blue 50',
  const Color(0xFFBBDEFB): 'Blue 100',
  const Color(0xFF90CAF9): 'Blue 200',
  const Color(0xFF64B5F6): 'Blue 300',
  const Color(0xFF42A5F5): 'Blue 400',
  const Color(0xFF2196F3): 'Blue 500',
  const Color(0xFF1E88E5): 'Blue 600',
  const Color(0xFF1976D2): 'Blue 700',
  const Color(0xFF1565C0): 'Blue 800',
  const Color(0xFF0D47A1): 'Blue 900',
  const Color(0xFF82B1FF): 'Blue A100',
  const Color(0xFF448AFF): 'Blue A200',
  const Color(0xFF2979FF): 'Blue A400',
  const Color(0xFF2962FF): 'Blue A700',
  const Color(0xFFE1F5FE): 'Light Blue 50',
  const Color(0xFFB3E5FC): 'Light Blue 100',
  const Color(0xFF81D4FA): 'Light Blue 200',
  const Color(0xFF4FC3F7): 'Light Blue 300',
  const Color(0xFF29B6F6): 'Light Blue 400',
  const Color(0xFF03A9F4): 'Light Blue 500',
  const Color(0xFF039BE5): 'Light Blue 600',
  const Color(0xFF0288D1): 'Light Blue 700',
  const Color(0xFF0277BD): 'Light Blue 800',
  const Color(0xFF01579B): 'Light Blue 900',
  const Color(0xFF80D8FF): 'Light Blue A100',
  const Color(0xFF40C4FF): 'Light Blue A200',
  const Color(0xFF00B0FF): 'Light Blue A400',
  const Color(0xFF0091EA): 'Light Blue A700',
  const Color(0xFFE0F7FA): 'Cyan 50',
  const Color(0xFFB2EBF2): 'Cyan 100',
  const Color(0xFF80DEEA): 'Cyan 200',
  const Color(0xFF4DD0E1): 'Cyan 300',
  const Color(0xFF26C6DA): 'Cyan 400',
  const Color(0xFF00BCD4): 'Cyan 500',
  const Color(0xFF00ACC1): 'Cyan 600',
  const Color(0xFF0097A7): 'Cyan 700',
  const Color(0xFF00838F): 'Cyan 800',
  const Color(0xFF006064): 'Cyan 900',
  const Color(0xFF84FFFF): 'Cyan A100',
  const Color(0xFF18FFFF): 'Cyan A200',
  const Color(0xFF00E5FF): 'Cyan A400',
  const Color(0xFF00B8D4): 'Cyan A700',
  const Color(0xFFE0F2F1): 'Teal 50',
  const Color(0xFFB2DFDB): 'Teal 100',
  const Color(0xFF80CBC4): 'Teal 200',
  const Color(0xFF4DB6AC): 'Teal 300',
  const Color(0xFF26A69A): 'Teal 400',
  const Color(0xFF009688): 'Teal 500',
  const Color(0xFF00897B): 'Teal 600',
  const Color(0xFF00796B): 'Teal 700',
  const Color(0xFF00695C): 'Teal 800',
  const Color(0xFF004D40): 'Teal 900',
  const Color(0xFFA7FFEB): 'Teal A100',
  const Color(0xFF64FFDA): 'Teal A200',
  const Color(0xFF1DE9B6): 'Teal A400',
  const Color(0xFF00BFA5): 'Teal A700',
  const Color(0xFFE8F5E9): 'Green 50',
  const Color(0xFFC8E6C9): 'Green 100',
  const Color(0xFFA5D6A7): 'Green 200',
  const Color(0xFF81C784): 'Green 300',
  const Color(0xFF66BB6A): 'Green 400',
  const Color(0xFF4CAF50): 'Green 500',
  const Color(0xFF43A047): 'Green 600',
  const Color(0xFF388E3C): 'Green 700',
  const Color(0xFF2E7D32): 'Green 800',
  const Color(0xFF1B5E20): 'Green 900',
  const Color(0xFFB9F6CA): 'Green A100',
  const Color(0xFF69F0AE): 'Green A200',
  const Color(0xFF00E676): 'Green A400',
  const Color(0xFF00C853): 'Green A700',
  const Color(0xFFF1F8E9): 'Light Green 50',
  const Color(0xFFDCEDC8): 'Light Green 100',
  const Color(0xFFC5E1A5): 'Light Green 200',
  const Color(0xFFAED581): 'Light Green 300',
  const Color(0xFF9CCC65): 'Light Green 400',
  const Color(0xFF8BC34A): 'Light Green 500',
  const Color(0xFF7CB342): 'Light Green 600',
  const Color(0xFF689F38): 'Light Green 700',
  const Color(0xFF558B2F): 'Light Green 800',
  const Color(0xFF33691E): 'Light Green 900',
  const Color(0xFFCCFF90): 'Light Green A100',
  const Color(0xFFB2FF59): 'Light Green A200',
  const Color(0xFF76FF03): 'Light Green A400',
  const Color(0xFF64DD17): 'Light Green A700',
  const Color(0xFFF9FBE7): 'Lime 50',
  const Color(0xFFF0F4C3): 'Lime 100',
  const Color(0xFFE6EE9C): 'Lime 200',
  const Color(0xFFDCE775): 'Lime 300',
  const Color(0xFFD4E157): 'Lime 400',
  const Color(0xFFCDDC39): 'Lime 500',
  const Color(0xFFC0CA33): 'Lime 600',
  const Color(0xFFAFB42B): 'Lime 700',
  const Color(0xFF9E9D24): 'Lime 800',
  const Color(0xFF827717): 'Lime 900',
  const Color(0xFFF4FF81): 'Lime A100',
  const Color(0xFFEEFF41): 'Lime A200',
  const Color(0xFFC6FF00): 'Lime A400',
  const Color(0xFFAEEA00): 'Lime A700',
  const Color(0xFFFFFDE7): 'Yellow 50',
  const Color(0xFFFFF9C4): 'Yellow 100',
  const Color(0xFFFFF59D): 'Yellow 200',
  const Color(0xFFFFF176): 'Yellow 300',
  const Color(0xFFFFEE58): 'Yellow 400',
  const Color(0xFFFFEB3B): 'Yellow 500',
  const Color(0xFFFDD835): 'Yellow 600',
  const Color(0xFFFBC02D): 'Yellow 700',
  const Color(0xFFF9A825): 'Yellow 800',
  const Color(0xFFF57F17): 'Yellow 900',
  const Color(0xFFFFFF8D): 'Yellow A100',
  const Color(0xFFFFFF00): 'Yellow A200',
  const Color(0xFFFFEA00): 'Yellow A400',
  const Color(0xFFFFD600): 'Yellow A700',
  const Color(0xFFFFF8E1): 'Amber 50',
  const Color(0xFFFFECB3): 'Amber 100',
  const Color(0xFFFFE082): 'Amber 200',
  const Color(0xFFFFD54F): 'Amber 300',
  const Color(0xFFFFCA28): 'Amber 400',
  const Color(0xFFFFC107): 'Amber 500',
  const Color(0xFFFFB300): 'Amber 600',
  const Color(0xFFFFA000): 'Amber 700',
  const Color(0xFFFF8F00): 'Amber 800',
  const Color(0xFFFF6F00): 'Amber 900',
  const Color(0xFFFFE57F): 'Amber A100',
  const Color(0xFFFFD740): 'Amber A200',
  const Color(0xFFFFC400): 'Amber A400',
  const Color(0xFFFFAB00): 'Amber A700',
  const Color(0xFFFFF3E0): 'Orange 50',
  const Color(0xFFFFE0B2): 'Orange 100',
  const Color(0xFFFFCC80): 'Orange 200',
  const Color(0xFFFFB74D): 'Orange 300',
  const Color(0xFFFFA726): 'Orange 400',
  const Color(0xFFFF9800): 'Orange 500',
  const Color(0xFFFB8C00): 'Orange 600',
  const Color(0xFFF57C00): 'Orange 700',
  const Color(0xFFEF6C00): 'Orange 800',
  const Color(0xFFE65100): 'Orange 900',
  const Color(0xFFFFD180): 'Orange A100',
  const Color(0xFFFFAB40): 'Orange A200',
  const Color(0xFFFF9100): 'Orange A400',
  const Color(0xFFFF6D00): 'Orange A700',
  const Color(0xFFFBE9E7): 'Deep Orange 50',
  const Color(0xFFFFCCBC): 'Deep Orange 100',
  const Color(0xFFFFAB91): 'Deep Orange 200',
  const Color(0xFFFF8A65): 'Deep Orange 300',
  const Color(0xFFFF7043): 'Deep Orange 400',
  const Color(0xFFFF5722): 'Deep Orange 500',
  const Color(0xFFF4511E): 'Deep Orange 600',
  const Color(0xFFE64A19): 'Deep Orange 700',
  const Color(0xFFD84315): 'Deep Orange 800',
  const Color(0xFFBF360C): 'Deep Orange 900',
  const Color(0xFFFF9E80): 'Deep Orange A100',
  const Color(0xFFFF6E40): 'Deep Orange A200',
  const Color(0xFFFF3D00): 'Deep Orange A400',
  const Color(0xFFDD2C00): 'Deep Orange A700',
  const Color(0xFFEFEBE9): 'Brown 50',
  const Color(0xFFD7CCC8): 'Brown 100',
  const Color(0xFFBCAAA4): 'Brown 200',
  const Color(0xFFA1887F): 'Brown 300',
  const Color(0xFF8D6E63): 'Brown 400',
  const Color(0xFF795548): 'Brown 500',
  const Color(0xFF6D4C41): 'Brown 600',
  const Color(0xFF5D4037): 'Brown 700',
  const Color(0xFF4E342E): 'Brown 800',
  const Color(0xFF3E2723): 'Brown 900',
  const Color(0xFFFAFAFA): 'Grey 50',
  const Color(0xFFF5F5F5): 'Grey 100',
  const Color(0xFFEEEEEE): 'Grey 200',
  const Color(0xFFE0E0E0): 'Grey 300',
  const Color(0xFFBDBDBD): 'Grey 400',
  const Color(0xFF9E9E9E): 'Grey 500',
  const Color(0xFF757575): 'Grey 600',
  const Color(0xFF616161): 'Grey 700',
  const Color(0xFF424242): 'Grey 800',
  const Color(0xFF212121): 'Grey 900',
  const Color(0xFFECEFF1): 'Blue Grey 50',
  const Color(0xFFCFD8DC): 'Blue Grey 100',
  const Color(0xFFB0BEC5): 'Blue Grey 200',
  const Color(0xFF90A4AE): 'Blue Grey 300',
  const Color(0xFF78909C): 'Blue Grey 400',
  const Color(0xFF607D8B): 'Blue Grey 500',
  const Color(0xFF546E7A): 'Blue Grey 600',
  const Color(0xFF455A64): 'Blue Grey 700',
  const Color(0xFF37474F): 'Blue Grey 800',
  const Color(0xFF263238): 'Blue Grey 900',
  const Color(0xff4c4f56): 'Abbey',
  const Color(0xff0048ba): 'Absolute Zero',
  const Color(0xff1b1404): 'Acadia',
  const Color(0xff7cb0a1): 'Acapulco',
  const Color(0xffb0bf1a): 'Acid Green',
  const Color(0xff7cb9e8): 'Aero',
  const Color(0xffc9ffe5): 'Aero Blue',
  const Color(0xff714693): 'Affair',
  const Color(0xffb284be): 'African Violet',
  const Color(0xff00308f): 'Air Force Blue',
  const Color(0xff72a0c1): 'Air Superiority Blue',
  const Color(0xffd4c4a8): 'Akaroa',
  const Color(0xffaf002a): 'Alabama Crimson',
  // const Color(0xfffafafa): 'Alabaster',
  const Color(0xfff5e9d3): 'Albescent White',
  const Color(0xff93dfb8): 'Algae Green',
  const Color(0xfff0f8ff): 'Alice Blue',
  const Color(0xff84de02): 'Alien Armpit',
  const Color(0xffe32636): 'Alizarin Crimson',
  const Color(0xffc46210): 'Alloy Orange',
  const Color(0xff0076a3): 'Allports',
  const Color(0xffefdecd): 'Almond',
  const Color(0xff907b71): 'Almond Frost',
  const Color(0xffaf8f2c): 'Alpine',
  const Color(0xffdbdbdb): 'Alto',
  const Color(0xffa9acb6): 'Aluminium',
  const Color(0xffe52b50): 'Amaranth',
  const Color(0xfff19cbb): 'Amaranth Pink',
  const Color(0xffab274f): 'Amaranth Purple',
  const Color(0xffd3212d): 'Amaranth Red',
  const Color(0xff3b7a57): 'Amazon',
  const Color(0xffffbf00): 'Amber',
  const Color(0xffff033e): 'American Rose',
  const Color(0xff87756e): 'Americano',
  const Color(0xff9966cc): 'Amethyst',
  const Color(0xffa397b4): 'Amethyst Smoke',
  const Color(0xfff9eaf3): 'Amour',
  const Color(0xff7b9f80): 'Amulet',
  const Color(0xff9de5ff): 'Anakiwa',
  const Color(0xffa4c639): 'Android Green',
  const Color(0xfff2f3f4): 'Anti Flash White',
  const Color(0xffcd9575): 'Antique Brass',
  const Color(0xff665d1e): 'Antique Bronze',
  const Color(0xff915c83): 'Antique Fuchsia',
  const Color(0xff841b2d): 'Antique Ruby',
  const Color(0xfffaebd7): 'Antique White',
  const Color(0xffe0b646): 'Anzac',
  const Color(0xff008000): 'Ao',
  const Color(0xffdfbe6f): 'Apache',
  const Color(0xff4fa83d): 'Apple',
  const Color(0xffaf4d43): 'Apple Blossom',
  const Color(0xff8db600): 'Apple Green',
  const Color(0xfffbceb1): 'Apricot',
  const Color(0xfffffeec): 'Apricot White',
  const Color(0xff014b43): 'Aqua Deep',
  const Color(0xff5fa777): 'Aqua Forest',
  const Color(0xffedf5f5): 'Aqua Haze',
  const Color(0xffa1dad7): 'Aqua Island',
  const Color(0xffeaf9f5): 'Aqua Spring',
  const Color(0xffe8f5f2): 'Aqua Squeeze',
  const Color(0xff7fffd4): 'Aquamarine',
  const Color(0xff71d9e2): 'Aquamarine Blue',
  const Color(0xff110c6c): 'Arapawa',
  const Color(0xffd0ff14): 'Arctic Lime',
  const Color(0xff433e37): 'Armadillo',
  const Color(0xff4b5320): 'Army Green',
  const Color(0xff948771): 'Arrowtown',
  const Color(0xff3b444b): 'Arsenic',
  const Color(0xff8f9779): 'Artichoke',
  const Color(0xffe9d66b): 'Arylide Yellow',
  const Color(0xffc6c3b5): 'Ash',
  const Color(0xffb2beb5): 'Ash Grey',
  const Color(0xff87a96b): 'Asparagus',
  const Color(0xff130a06): 'Asphalt',
  const Color(0xfffaeab9): 'Astra',
  const Color(0xff327da0): 'Astral',
  const Color(0xff283a77): 'Astronaut',
  const Color(0xff013e62): 'Astronaut Blue',
  const Color(0xffeef0f3): 'Athens Gray',
  const Color(0xffecebce): 'Aths Special',
  const Color(0xff97cd2d): 'Atlantis',
  const Color(0xff0a6f75): 'Atoll',
  const Color(0xff97605d): 'Au Chico',
  const Color(0xff3b0910): 'Aubergine',
  const Color(0xffa52a2a): 'Auburn',
  const Color(0xfffdee00): 'Aureolin',
  const Color(0xff6e7f80): 'Auro Metal Saurus',
  const Color(0xfff5ffbe): 'Australian Mint',
  const Color(0xff568203): 'Avocado',
  const Color(0xff4e6649): 'Axolotl',
  const Color(0xfff7c8da): 'Azalea',
  const Color(0xff0d1c19): 'Aztec',
  const Color(0xffc39953): 'Aztec Gold',
  const Color(0xff007fff): 'Azure',
  const Color(0xfff0ffff): 'Azure Mist',
  const Color(0xffdbe9f4): 'Azureish White',
  const Color(0xff89cff0): 'Baby Blue',
  const Color(0xffa1caf1): 'Baby Blue Eyes',
  const Color(0xfffefefa): 'Baby Powder',
  const Color(0xff026395): 'Bahama Blue',
  const Color(0xffa5cb0c): 'Bahia',
  const Color(0xfffff8d1): 'Baja White',
  const Color(0xffff91af): 'Baker Miller Pink',
  const Color(0xff859faf): 'Bali Hai',
  const Color(0xff21abcd): 'Ball Blue',
  const Color(0xff2a2630): 'Baltic Sea',
  const Color(0xffda6304): 'Bamboo',
  const Color(0xfffae7b5): 'Banana Mania',
  const Color(0xffffe135): 'Banana Yellow',
  const Color(0xff858470): 'Bandicoot',
  const Color(0xffded717): 'Barberry',
  const Color(0xffe0218a): 'Barbie Pink',
  const Color(0xffa68b5b): 'Barley Corn',
  const Color(0xfffff4ce): 'Barley White',
  const Color(0xff7c0a02): 'Barn Red',
  const Color(0xff44012d): 'Barossa',
  const Color(0xff292130): 'Bastille',
  const Color(0xff828f72): 'Battleship Gray',
  const Color(0xff7da98d): 'Bay Leaf',
  const Color(0xff273a81): 'Bay of Many',
  const Color(0xff98777b): 'Bazaar',
  const Color(0xff2e5894): 'Bdazzled Blue',
  const Color(0xffbcd4e6): 'Beau Blue',
  const Color(0xffeec1be): 'Beauty Bush',
  const Color(0xff9f8170): 'Beaver',
  const Color(0xfffef2c7): 'Beeswax',
  const Color(0xfff5f5dc): 'Beige',
  const Color(0xffadd8ff): 'Belgion',
  const Color(0xff7dd8c6): 'Bermuda',
  const Color(0xff6b8ba2): 'Bermuda Gray',
  const Color(0xffdee5c0): 'Beryl Green',
  const Color(0xfffcfbf3): 'Bianca',
  const Color(0xff9c2542): 'Big Dip Oruby',
  const Color(0xffe88e5a): 'Big Foot Feet',
  const Color(0xff162a40): 'Big Stone',
  const Color(0xff327c14): 'Bilbao',
  const Color(0xffb2a1ea): 'Biloba Flower',
  const Color(0xff373021): 'Birch',
  const Color(0xffd4cd16): 'Bird Flower',
  const Color(0xff1b3162): 'Biscay',
  const Color(0xff497183): 'Bismark',
  const Color(0xffc1b7a4): 'Bison Hide',
  const Color(0xffffe4c4): 'Bisque',
  const Color(0xff3d2b1f): 'Bistre',
  const Color(0xff868974): 'Bitter',
  const Color(0xffcae00d): 'Bitter Lemon',
  const Color(0xfffe6f5e): 'Bittersweet',
  const Color(0xffbf4f51): 'Bittersweet Shimmer',
  const Color(0xffeededa): 'Bizarre',
  const Color(0xff000000): 'Black',
  const Color(0xff3d0c02): 'Black Bean',
  const Color(0xff54626f): 'Black Coral',
  const Color(0xff0b1304): 'Black Forest',
  const Color(0xfff6f7f7): 'Black Haze',
  const Color(0xff253529): 'Black Leather Jacket',
  const Color(0xff3e2c1c): 'Black Marlin',
  const Color(0xff3b3c36): 'Black Olive',
  const Color(0xff041322): 'Black Pearl',
  const Color(0xff0d0332): 'Black Rock',
  const Color(0xff67032d): 'Black Rose',
  const Color(0xff0a001c): 'Black Russian',
  const Color(0xffbfafb2): 'Black Shadows',
  const Color(0xfff2fafa): 'Black Squeeze',
  const Color(0xfffffef6): 'Black White',
  const Color(0xff4d0135): 'Blackberry',
  const Color(0xff32293a): 'Blackcurrant',
  const Color(0xffffebcd): 'Blanched Almond',
  const Color(0xffa57164): 'Blast Off Bronze',
  const Color(0xffff6700): 'Blaze Orange',
  const Color(0xfffef3d8): 'Bleach White',
  const Color(0xff2c2133): 'Bleached Cedar',
  const Color(0xff318ce7): 'Bleu De France',
  const Color(0xffa3e3ed): 'Blizzard Blue',
  const Color(0xfffaf0be): 'Blond',
  const Color(0xffdcb4bc): 'Blossom',
  const Color(0xff0000ff): 'Blue',
  const Color(0xff496679): 'Blue Bayoux',
  const Color(0xffa2a2d0): 'Blue Bell',
  const Color(0xfff1e9ff): 'Blue Chalk',
  const Color(0xff010d1a): 'Blue Charcoal',
  const Color(0xff0c8990): 'Blue Chill',
  const Color(0xff380474): 'Blue Diamond',
  const Color(0xff204852): 'Blue Dianne',
  const Color(0xff2c0e8c): 'Blue Gem',
  const Color(0xff6699cc): 'Blue Gray',
  const Color(0xff0d98ba): 'Blue Green',
  const Color(0xffbfbed8): 'Blue Haze',
  const Color(0xff5dadec): 'Blue Jeans',
  const Color(0xfface5ee): 'Blue Lagoon',
  const Color(0xff553592): 'Blue Magenta Violet',
  const Color(0xff7666c6): 'Blue Marguerite',
  const Color(0xff0066ff): 'Blue Ribbon',
  const Color(0xffd2f6de): 'Blue Romance',
  const Color(0xff126180): 'Blue Sapphire',
  const Color(0xff748881): 'Blue Smoke',
  const Color(0xff016162): 'Blue Stone',
  const Color(0xff8a2be2): 'Blue Violet',
  const Color(0xff042e4c): 'Blue Whale',
  const Color(0xff5072a7): 'Blue Yonder',
  const Color(0xff13264d): 'Blue Zodiac',
  const Color(0xff4f86f7): 'Blueberry',
  const Color(0xff1c1cf0): 'Bluebonnet',
  const Color(0xff18587a): 'Blumine',
  const Color(0xffde5d83): 'Blush',
  const Color(0xff79443b): 'Bole',
  const Color(0xffafb1b8): 'Bombay',
  const Color(0xffe5e0e1): 'Bon Jour',
  const Color(0xff0095b6): 'Bondi Blue',
  const Color(0xffe3dac9): 'Bone',
  const Color(0xffdde26a): 'Booger Buster',
  const Color(0xff5c0120): 'Bordeaux',
  const Color(0xff4e2a5a): 'Bossanova',
  const Color(0xff3b91b4): 'Boston Blue',
  const Color(0xffcc0000): 'Boston University Red',
  const Color(0xffc7dde5): 'Botticelli',
  const Color(0xff006a4e): 'Bottle Green',
  const Color(0xff7a7a7a): 'Boulder',
  const Color(0xffae809e): 'Bouquet',
  const Color(0xffba6f1e): 'Bourbon',
  const Color(0xff873260): 'Boysenberry',
  const Color(0xff4a2a04): 'Bracken',
  const Color(0xff0070ff): 'Brandeis Blue',
  const Color(0xffdec196): 'Brandy',
  const Color(0xffcd8429): 'Brandy Punch',
  const Color(0xffbb8983): 'Brandy Rose',
  const Color(0xffb5a642): 'Brass',
  const Color(0xff5da19f): 'Breaker Bay',
  const Color(0xffcb4154): 'Brick Red',
  const Color(0xfffffaf4): 'Bridal Heath',
  const Color(0xfffef0ec): 'Bridesmaid',
  const Color(0xff1dacd6): 'Bright Cerulean',
  const Color(0xff3c4151): 'Bright Gray',
  const Color(0xff66ff00): 'Bright Green',
  const Color(0xffbf94e4): 'Bright Lavender',
  const Color(0xffd891ef): 'Bright Lilac',
  const Color(0xffc32148): 'Bright Maroon',
  const Color(0xff1974d2): 'Bright Navy Blue',
  const Color(0xffb10000): 'Bright Red',
  const Color(0xfffed33c): 'Bright Sun',
  const Color(0xff08e8de): 'Bright Turquoise',
  const Color(0xffd19fe8): 'Bright Ube',
  const Color(0xffffaa1d): 'Bright Yellow',
  const Color(0xff3399ff): 'Brilliant Azure',
  const Color(0xfff4bbff): 'Brilliant Lavender',
  const Color(0xffff55a3): 'Brilliant Rose',
  const Color(0xfffb607f): 'Brink Pink',
  const Color(0xff004225): 'British Racing Green',
  const Color(0xffaba196): 'Bronco',
  const Color(0xffcd7f32): 'Bronze',
  const Color(0xff4e420c): 'Bronze Olive',
  const Color(0xff737000): 'Bronze Yellow',
  const Color(0xff4d400f): 'Bronzetone',
  const Color(0xffffec13): 'Broom',
  const Color(0xff964b00): 'Brown',
  const Color(0xff592804): 'Brown Bramble',
  const Color(0xff492615): 'Brown Derby',
  const Color(0xff401801): 'Brown Pod',
  const Color(0xffaf593e): 'Brown Rust',
  const Color(0xffaf6e4d): 'Brown Sugar',
  const Color(0xff37290e): 'Brown Tumbleweed',
  const Color(0xffcc9966): 'Brown Yellow',
  const Color(0xff1b4d3e): 'Brunswick Green',
  const Color(0xffffc1cc): 'Bubble Gum',
  const Color(0xffe7feff): 'Bubbles',
  const Color(0xff622f30): 'Buccaneer',
  const Color(0xffa8ae9c): 'Bud',
  const Color(0xff7bb661): 'Bud Green',
  const Color(0xffc1a004): 'Buddha Gold',
  const Color(0xfff0dc82): 'Buff',
  const Color(0xff480607): 'Bulgarian Rose',
  const Color(0xff864d1e): 'Bull Shot',
  const Color(0xff0d1117): 'Bunker',
  const Color(0xff151f4c): 'Bunting',
  const Color(0xff800020): 'Burgundy',
  const Color(0xffdeb887): 'Burlywood',
  const Color(0xff002e20): 'Burnham',
  const Color(0xffff7034): 'Burning Orange',
  const Color(0xffd99376): 'Burning Sand',
  const Color(0xffa17a74): 'Burnished Brown',
  const Color(0xff420303): 'Burnt Maroon',
  const Color(0xffcc5500): 'Burnt Orange',
  const Color(0xffe97451): 'Burnt Sienna',
  const Color(0xff8a3324): 'Burnt Umber',
  const Color(0xff0d2e1c): 'Bush',
  const Color(0xfff3ad16): 'Buttercup',
  const Color(0xffa1750d): 'Buttered Rum',
  const Color(0xff624e9a): 'Butterfly Bush',
  const Color(0xfffff1b5): 'Buttermilk',
  const Color(0xfffffcea): 'Buttery White',
  const Color(0xffbd33a4): 'Byzantine',
  const Color(0xff702963): 'Byzantium',
  const Color(0xff007aa5): 'CG Blue',
  const Color(0xffe03c31): 'CG Red',
  const Color(0xff4d0a18): 'Cab Sav',
  const Color(0xffd94972): 'Cabaret',
  const Color(0xff3f4c3a): 'Cabbage Pont',
  const Color(0xff587156): 'Cactus',
  const Color(0xff536872): 'Cadet',
  const Color(0xff5f9ea0): 'Cadet Blue',
  const Color(0xff91a3b0): 'Cadet Grey',
  const Color(0xffb04c6a): 'Cadillac',
  const Color(0xff006b3c): 'Cadmium Green',
  const Color(0xffed872d): 'Cadmium Orange',
  const Color(0xffe30022): 'Cadmium Red',
  const Color(0xfffff600): 'Cadmium Yellow',
  const Color(0xff4b3621): 'Cafe Noir',
  const Color(0xff6f440c): 'Cafe Royale',
  const Color(0xff1e4d2b): 'Cal Poly Green',
  const Color(0xffe0c095): 'Calico',
  const Color(0xfffe9d04): 'California',
  const Color(0xff31728d): 'Calypso',
  const Color(0xff00581a): 'Camarone',
  const Color(0xffa3c1ad): 'Cambridge Blue',
  const Color(0xff893456): 'Camelot',
  const Color(0xffd9b99b): 'Cameo',
  const Color(0xffefbbcc): 'Cameo Pink',
  const Color(0xff3c3910): 'Camouflage',
  const Color(0xff78866b): 'Camouflage Green',
  const Color(0xffd591a4): 'Can Can',
  const Color(0xfff3fb62): 'Canary',
  const Color(0xffffef00): 'Canary Yellow',
  const Color(0xfffcd917): 'Candlelight',
  const Color(0xffff0800): 'Candy Apple Red',
  const Color(0xff251706): 'Cannon Black',
  const Color(0xff894367): 'Cannon Pink',
  const Color(0xff3c4443): 'Cape Cod',
  const Color(0xfffee5ac): 'Cape Honey',
  const Color(0xffa26645): 'Cape Palliser',
  const Color(0xffdcedb4): 'Caper',
  const Color(0xff00bfff): 'Capri',
  const Color(0xff592720): 'Caput Mortuum',
  const Color(0xffffddaf): 'Caramel',
  const Color(0xffeeeee8): 'Cararra',
  const Color(0xff01361c): 'Cardin Green',
  const Color(0xffc41e3a): 'Cardinal',
  const Color(0xff8c055e): 'Cardinal Pink',
  const Color(0xffd29eaa): 'Careys Pink',
  const Color(0xff00cc99): 'Caribbean Green',
  const Color(0xffea88a8): 'Carissma',
  const Color(0xfff3ffd8): 'Carla',
  const Color(0xff960018): 'Carmine',
  const Color(0xffeb4c42): 'Carmine Pink',
  const Color(0xffff0038): 'Carmine Red',
  const Color(0xff5c2e01): 'Carnaby Tan',
  const Color(0xfff95a61): 'Carnation',
  const Color(0xffffa6c9): 'Carnation Pink',
  const Color(0xffb31b1b): 'Carnelian',
  const Color(0xff56a0d3): 'Carolina Blue',
  const Color(0xfff9e0ed): 'Carousel Pink',
  const Color(0xffed9121): 'Carrot Orange',
  const Color(0xfff8b853): 'Casablanca',
  const Color(0xff2f6168): 'Casal',
  const Color(0xff8ba9a5): 'Cascade',
  const Color(0xffe6bea5): 'Cashmere',
  const Color(0xffadbed1): 'Casper',
  const Color(0xff00563b): 'Castleton Green',
  const Color(0xff52001f): 'Castro',
  const Color(0xff062a78): 'Catalina Blue',
  const Color(0xff703642): 'Catawba',
  const Color(0xffeef6f7): 'Catskill White',
  const Color(0xffe3bebe): 'Cavern Pink',
  const Color(0xff3e1c14): 'Cedar',
  const Color(0xffc95a49): 'Cedar Chest',
  const Color(0xff711a00): 'Cedar Wood Finish',
  const Color(0xff92a1cf): 'Ceil',
  const Color(0xfface1af): 'Celadon',
  const Color(0xff2f847c): 'Celadon Green',
  const Color(0xffb8c25d): 'Celery',
  const Color(0xffb2ffff): 'Celeste',
  const Color(0xff4997d0): 'Celestial Blue',
  const Color(0xff1e385b): 'Cello',
  const Color(0xff163222): 'Celtic',
  const Color(0xff8d7662): 'Cement',
  const Color(0xfffcfff9): 'Ceramic',
  const Color(0xffde3163): 'Cerise',
  const Color(0xffec3b83): 'Cerise Pink',
  const Color(0xff007ba7): 'Cerulean',
  const Color(0xff2a52be): 'Cerulean Blue',
  const Color(0xff6d9bc3): 'Cerulean Frost',
  const Color(0xfffff4f3): 'Chablis',
  const Color(0xff516e3d): 'Chalet Green',
  const Color(0xffeed794): 'Chalky',
  const Color(0xff354e8c): 'Chambray',
  const Color(0xffeddcb1): 'Chamois',
  const Color(0xffa0785a): 'Chamoisee',
  const Color(0xfff7e7ce): 'Champagne',
  const Color(0xfff8c3df): 'Chantilly',
  const Color(0xff292937): 'Charade',
  const Color(0xff36454f): 'Charcoal',
  const Color(0xfffff3f1): 'Chardon',
  const Color(0xffffcd8c): 'Chardonnay',
  const Color(0xff232b2b): 'Charleston Green',
  const Color(0xffbaeef9): 'Charlotte',
  const Color(0xffd47494): 'Charm',
  const Color(0xffe68fac): 'Charm Pink',
  const Color(0xffdfff00): 'Chartreuse',
  const Color(0xff40a860): 'Chateau Green',
  const Color(0xffbdb3c7): 'Chatelle',
  const Color(0xff175579): 'Chathams Blue',
  const Color(0xff83aa5d): 'Chelsea Cucumber',
  const Color(0xff9e5302): 'Chelsea Gem',
  const Color(0xffdfcd6f): 'Chenin',
  const Color(0xfffcda98): 'Cherokee',
  const Color(0xffffb7c5): 'Cherry Blossom Pink',
  const Color(0xff2a0359): 'Cherry Pie',
  const Color(0xff651a14): 'Cherrywood',
  const Color(0xfff8d9e9): 'Cherub',
  const Color(0xff954535): 'Chestnut',
  const Color(0xff8581d9): 'Chetwode Blue',
  const Color(0xff5d5c58): 'Chicago',
  const Color(0xfff1ffc8): 'Chiffon',
  const Color(0xfff77703): 'Chilean Fire',
  const Color(0xfffffde6): 'Chilean Heath',
  const Color(0xfffcffe7): 'China Ivory',
  const Color(0xffa8516e): 'China Rose',
  const Color(0xffaa381e): 'Chinese Red',
  const Color(0xff856088): 'Chinese Violet',
  const Color(0xffcec7a7): 'Chino',
  const Color(0xffa8e3bd): 'Chinook',
  const Color(0xff4aff00): 'Chlorophyll Green',
  const Color(0xff7b3f00): 'Chocolate',
  const Color(0xff33036b): 'Christalle',
  const Color(0xff67a712): 'Christi',
  const Color(0xffe7730a): 'Christine',
  const Color(0xffe8f1d4): 'Chrome White',
  const Color(0xffffa700): 'Chrome Yellow',
  const Color(0xff0e0e18): 'Cinder',
  const Color(0xfffde1dc): 'Cinderella',
  const Color(0xff98817b): 'Cinereous',
  const Color(0xffe34234): 'Cinnabar',
  const Color(0xffcd607e): 'Cinnamon Satin',
  const Color(0xff55280c): 'Cioccolato',
  const Color(0xffe4d00a): 'Citrine',
  const Color(0xfffaf7d6): 'Citrine White',
  const Color(0xff9fa91f): 'Citron',
  const Color(0xffa1c50a): 'Citrus',
  const Color(0xff480656): 'Clairvoyant',
  const Color(0xffd4b6af): 'Clam Shell',
  const Color(0xff7f1734): 'Claret',
  const Color(0xfffbcce7): 'Classic Rose',
  const Color(0xffbdc8b3): 'Clay Ash',
  const Color(0xff8a8360): 'Clay Creek',
  const Color(0xffe9fffd): 'Clear Day',
  const Color(0xffe96e00): 'Clementine',
  const Color(0xff371d09): 'Clinker',
  const Color(0xffc7c4bf): 'Cloud',
  const Color(0xff202e54): 'Cloud Burst',
  const Color(0xffaca59f): 'Cloudy',
  const Color(0xff384910): 'Clover',
  const Color(0xff0047ab): 'Cobalt Blue',
  const Color(0xff481c1c): 'Cocoa Bean',
  const Color(0xffd2691e): 'Cocoa Brown',
  const Color(0xff965a3e): 'Coconut',
  const Color(0xfff8f7dc): 'Coconut Cream',
  const Color(0xff0b0b0b): 'Cod Gray',
  const Color(0xff6f4e37): 'Coffee',
  const Color(0xff2a140e): 'Coffee Bean',
  const Color(0xff9f381d): 'Cognac',
  const Color(0xff3f2500): 'Cola',
  const Color(0xffaba0d9): 'Cold Purple',
  const Color(0xffcebaba): 'Cold Turkey',
  const Color(0xffffedbc): 'Colonial White',
  const Color(0xffc4d8e2): 'Columbia Blue',
  const Color(0xff5c5d75): 'Comet',
  const Color(0xff517c66): 'Como',
  const Color(0xffc9d9d2): 'Conch',
  const Color(0xff7c7b7a): 'Concord',
  const Color(0xfff2f2f2): 'Concrete',
  const Color(0xffe9d75a): 'Confetti',
  const Color(0xff593737): 'Congo Brown',
  const Color(0xfff88379): 'Congo Pink',
  const Color(0xff02478e): 'Congress Blue',
  const Color(0xffacdd4d): 'Conifer',
  const Color(0xffc6726b): 'Contessa',
  const Color(0xff002e63): 'Cool Black',
  const Color(0xff8c92ac): 'Cool Grey',
  const Color(0xffb87333): 'Copper',
  const Color(0xff7e3a15): 'Copper Canyon',
  const Color(0xffad6f69): 'Copper Penny',
  const Color(0xffcb6d51): 'Copper Red',
  const Color(0xff996666): 'Copper Rose',
  const Color(0xff944747): 'Copper Rust',
  const Color(0xffff3800): 'Coquelicot',
  const Color(0xffff7f50): 'Coral',
  const Color(0xffff4040): 'Coral Red',
  const Color(0xffc7bca2): 'Coral Reef',
  const Color(0xffa86b6b): 'Coral Tree',
  const Color(0xff893f45): 'Cordovan',
  const Color(0xff606e68): 'Corduroy',
  const Color(0xffc4d0b0): 'Coriander',
  const Color(0xff40291d): 'Cork',
  const Color(0xffe7bf05): 'Corn',
  const Color(0xfff8facd): 'Corn Field',
  const Color(0xff8b6b0b): 'Corn Harvest',
  const Color(0xff6495ed): 'Cornflower Blue',
  const Color(0xffffb0ac): 'Cornflower Lilac',
  const Color(0xfffff8dc): 'Cornsilk',
  const Color(0xfffad3a2): 'Corvette',
  const Color(0xff76395d): 'Cosmic',
  const Color(0xff2e2d88): 'Cosmic Cobalt',
  const Color(0xfffff8e7): 'Cosmic Latte',
  const Color(0xffffd8d9): 'Cosmos',
  const Color(0xff615d30): 'Costa Del Sol',
  const Color(0xffffbcd9): 'Cotton Candy',
  const Color(0xffc2bdb6): 'Cotton Seed',
  const Color(0xff01371a): 'County Green',
  const Color(0xff4d282d): 'Cowboy',
  const Color(0xff81613e): 'Coyote Brown',
  const Color(0xffb95140): 'Crail',
  const Color(0xffdb5079): 'Cranberry',
  const Color(0xff462425): 'Crater Brown',
  const Color(0xff1f75fe): 'Crayola Blue',
  const Color(0xff1cac78): 'Crayola Green',
  const Color(0xffff7538): 'Crayola Orange',
  const Color(0xffee204d): 'Crayola Red',
  const Color(0xfffce883): 'Crayola Yellow',
  const Color(0xfffffdd0): 'Cream',
  const Color(0xffffe5a0): 'Cream Brulee',
  const Color(0xfff5c85c): 'Cream Can',
  const Color(0xff1e0f04): 'Creole',
  const Color(0xff737829): 'Crete',
  const Color(0xffdc143c): 'Crimson',
  const Color(0xffbe0032): 'Crimson Glory',
  const Color(0xff990000): 'Crimson Red',
  const Color(0xff736d58): 'Crocodile',
  const Color(0xff771f1f): 'Crown of Thorns',
  const Color(0xff1c1208): 'Crowshead',
  const Color(0xffb5ecdf): 'Cruise',
  const Color(0xff004816): 'Crusoe',
  const Color(0xfffd7b33): 'Crusta',
  const Color(0xff924321): 'Cumin',
  const Color(0xfffdffd5): 'Cumulus',
  const Color(0xfffbbeda): 'Cupid',
  const Color(0xff2596d1): 'Curious Blue',
  const Color(0xff507672): 'Cutty Sark',
  const Color(0xff00ffff): 'Cyan',
  const Color(0xff4e82b4): 'Cyan Azure',
  const Color(0xff4682bf): 'Cyan Blue Azure',
  const Color(0xff28589c): 'Cyan Cobalt Blue',
  const Color(0xff188bc2): 'Cyan Cornflower Blue',
  const Color(0xff58427c): 'Cyber Grape',
  const Color(0xffffd300): 'Cyber Yellow',
  const Color(0xfff56fa1): 'Cyclamen',
  const Color(0xff003e40): 'Cyprus',
  const Color(0xffffff31): 'Daffodil',
  const Color(0xff012731): 'Daintree',
  const Color(0xfff9e4bc): 'Dairy Cream',
  const Color(0xff4f2398): 'Daisy Bush',
  const Color(0xff6e4b26): 'Dallas',
  const Color(0xfff0e130): 'Dandelion',
  const Color(0xff6093d1): 'Danube',
  const Color(0xff00008b): 'Dark Blue',
  const Color(0xff666699): 'Dark Blue Gray',
  const Color(0xff654321): 'Dark Brown',
  const Color(0xff88654e): 'Dark Brown Tangelo',
  const Color(0xff770f05): 'Dark Burgundy',
  const Color(0xff5d3954): 'Dark Byzantium',
  const Color(0xffa40000): 'Dark Candy Apple Red',
  const Color(0xff08457e): 'Dark Cerulean',
  const Color(0xff986960): 'Dark Chestnut',
  const Color(0xffcd5b45): 'Dark Coral',
  const Color(0xff008b8b): 'Dark Cyan',
  const Color(0xff3c2005): 'Dark Ebony',
  const Color(0xff0a480d): 'Dark Fern',
  const Color(0xffb8860b): 'Dark Goldenrod',
  const Color(0xff013220): 'Dark Green',
  const Color(0xff1f262a): 'Dark Gunmetal',
  const Color(0xff6e6ef9): 'Dark Imperial Blue',
  const Color(0xff1a2421): 'Dark Jungle Green',
  const Color(0xffbdb76b): 'Dark Khaki',
  const Color(0xff734f96): 'Dark Lavender',
  const Color(0xff534b4f): 'Dark Liver',
  const Color(0xff8b008b): 'Dark Magenta',
  const Color(0xffa9a9a9): 'Dark Medium Gray',
  const Color(0xff003366): 'Dark Midnight Blue',
  const Color(0xff4a5d23): 'Dark Moss Green',
  const Color(0xff556b2f): 'Dark Olive Green',
  const Color(0xffff8c00): 'Dark Orange',
  const Color(0xff9932cc): 'Dark Orchid',
  const Color(0xff779ecb): 'Dark Pastel Blue',
  const Color(0xff03c03c): 'Dark Pastel Green',
  const Color(0xff966fd6): 'Dark Pastel Purple',
  const Color(0xffc23b22): 'Dark Pastel Red',
  const Color(0xffe75480): 'Dark Pink',
  const Color(0xff4f3a3c): 'Dark Puce',
  const Color(0xff301934): 'Dark Purple',
  const Color(0xff872657): 'Dark Raspberry',
  const Color(0xff8b0000): 'Dark Red',
  const Color(0xffe9967a): 'Dark Salmon',
  const Color(0xff560319): 'Dark Scarlet',
  const Color(0xff8fbc8f): 'Dark Sea Green',
  const Color(0xff3c1414): 'Dark Sienna',
  const Color(0xff8cbed6): 'Dark Sky Blue',
  const Color(0xff483d8b): 'Dark Slate Blue',
  const Color(0xff2f4f4f): 'Dark Slate Gray',
  const Color(0xff177245): 'Dark Spring Green',
  const Color(0xff918151): 'Dark Tan',
  const Color(0xffffa812): 'Dark Tangerine',
  const Color(0xffcc4e5c): 'Dark Terra Cotta',
  const Color(0xff00ced1): 'Dark Turquoise',
  const Color(0xffd1bea8): 'Dark Vanilla',
  const Color(0xff9400d3): 'Dark Violet',
  const Color(0xff9b870c): 'Dark Yellow',
  const Color(0xff00703c): 'Dartmouth Green',
  const Color(0xff555555): 'Davys Grey',
  const Color(0xffa6a29a): 'Dawn',
  const Color(0xfff3e9e5): 'Dawn Pink',
  const Color(0xff7ac488): 'De York',
  const Color(0xffd70a53): 'Debian Red',
  const Color(0xffd2da97): 'Deco',
  const Color(0xff220878): 'Deep Blue',
  const Color(0xffe47698): 'Deep Blush',
  const Color(0xff4a3004): 'Deep Bronze',
  const Color(0xffa9203e): 'Deep Carmine',
  const Color(0xffef3038): 'Deep Carmine Pink',
  const Color(0xffe9692c): 'Deep Carrot Orange',
  const Color(0xffda3287): 'Deep Cerise',
  const Color(0xffb94e48): 'Deep Chestnut',
  const Color(0xff051040): 'Deep Cove',
  const Color(0xff002900): 'Deep Fir',
  const Color(0xff182d09): 'Deep Forest Green',
  const Color(0xffc154c1): 'Deep Fuchsia',
  const Color(0xff056608): 'Deep Green',
  const Color(0xff0e7c61): 'Deep Green Cyan Turquoise',
  const Color(0xff004b49): 'Deep Jungle Green',
  const Color(0xff333366): 'Deep Koamaru',
  const Color(0xfff5c71a): 'Deep Lemon',
  const Color(0xff9955bb): 'Deep Lilac',
  const Color(0xffcc00cc): 'Deep Magenta',
  const Color(0xff820000): 'Deep Maroon',
  const Color(0xff412010): 'Deep Oak',
  const Color(0xffff1493): 'Deep Pink',
  const Color(0xffa95c68): 'Deep Puce',
  const Color(0xff850101): 'Deep Red',
  const Color(0xff843f5b): 'Deep Ruby',
  const Color(0xffff9933): 'Deep Saffron',
  const Color(0xff082567): 'Deep Sapphire',
  const Color(0xff01826b): 'Deep Sea',
  const Color(0xff095859): 'Deep Sea Green',
  const Color(0xff4a646c): 'Deep Space Sparkle',
  const Color(0xff7e5e60): 'Deep Taupe',
  const Color(0xff003532): 'Deep Teal',
  const Color(0xff66424d): 'Deep Tuscan Red',
  const Color(0xff330066): 'Deep Violet',
  const Color(0xffba8759): 'Deer',
  const Color(0xffb09a95): 'Del Rio',
  const Color(0xff396413): 'Dell',
  const Color(0xffa4a49d): 'Delta',
  const Color(0xff7563a8): 'Deluge',
  const Color(0xff1560bd): 'Denim',
  const Color(0xff2243b6): 'Denim Blue',
  const Color(0xffffeed8): 'Derby',
  const Color(0xff669999): 'Desaturated Cyan',
  const Color(0xffae6020): 'Desert',
  const Color(0xffedc9af): 'Desert Sand',
  const Color(0xfff8f8f7): 'Desert Storm',
  const Color(0xffea3c53): 'Desire',
  const Color(0xffeafffe): 'Dew',
  const Color(0xffdb995e): 'Di Serria',
  const Color(0xffb9f2ff): 'Diamond',
  const Color(0xff130000): 'Diesel',
  const Color(0xff696969): 'Dim Gray',
  const Color(0xff5d7747): 'Dingley',
  const Color(0xffc53151): 'Dingy Dungeon',
  const Color(0xff9b7653): 'Dirt',
  const Color(0xff871550): 'Disco',
  const Color(0xffe29418): 'Dixie',
  const Color(0xff1e90ff): 'Dodger Blue',
  const Color(0xffb86d29): 'Dogs',
  const Color(0xffd71868): 'Dogwood Rose',
  const Color(0xff85bb65): 'Dollar Bill',
  const Color(0xfff9ff8b): 'Dolly',
  const Color(0xff646077): 'Dolphin',
  const Color(0xff8e775e): 'Domino',
  const Color(0xff5d4c51): 'Don Juan',
  const Color(0xff664c28): 'Donkey Brown',
  const Color(0xff6b5755): 'Dorado',
  const Color(0xffeee3ad): 'Double Colonial White',
  const Color(0xfffcf4d0): 'Double Pearl Lusta',
  const Color(0xffe6d7b9): 'Double Spanish White',
  const Color(0xff6d6c6c): 'Dove Gray',
  const Color(0xff092256): 'Downriver',
  const Color(0xff6fd0c5): 'Downy',
  const Color(0xffaf8751): 'Driftwood',
  const Color(0xfffdf7ad): 'Drover',
  const Color(0xff00009c): 'Duke Blue',
  const Color(0xffa899e6): 'Dull Lavender',
  const Color(0xff383533): 'Dune',
  const Color(0xffe5ccc9): 'Dust Storm',
  const Color(0xffa8989b): 'Dusty Gray',
  const Color(0xffefdfbb): 'Dutch White',
  const Color(0xffb6baa4): 'Eagle',
  const Color(0xff004953): 'Eagle Green',
  const Color(0xffc9b93b): 'Earls Green',
  const Color(0xfffff9e6): 'Early Dawn',
  const Color(0xffe1a95f): 'Earth Yellow',
  const Color(0xff414c7d): 'East Bay',
  const Color(0xffac91ce): 'East Side',
  const Color(0xff1e9ab0): 'Eastern Blue',
  const Color(0xffe9e3e3): 'Ebb',
  const Color(0xff555d50): 'Ebony',
  const Color(0xff26283b): 'Ebony Clay',
  const Color(0xff311c17): 'Eclipse',
  const Color(0xffc2b280): 'Ecru',
  const Color(0xfff5f3e5): 'Ecru White',
  const Color(0xfffa7814): 'Ecstasy',
  const Color(0xff105852): 'Eden',
  const Color(0xffc8e3d7): 'Edgewater',
  const Color(0xffa2aeab): 'Edward',
  const Color(0xff1b1b1b): 'Eerie Black',
  const Color(0xfffff4dd): 'Egg Sour',
  const Color(0xffffefc1): 'Egg White',
  const Color(0xff614051): 'Eggplant',
  const Color(0xfff0ead6): 'Eggshell',
  const Color(0xff1034a6): 'Egyptian Blue',
  const Color(0xff1e1708): 'El Paso',
  const Color(0xff8f3e33): 'El Salva',
  const Color(0xff7df9ff): 'Electric Blue',
  const Color(0xffff003f): 'Electric Crimson',
  const Color(0xff6f00ff): 'Electric Indigo',
  const Color(0xffccff00): 'Electric Lime',
  const Color(0xffbf00ff): 'Electric Purple',
  const Color(0xff8b00ff): 'Electric Violet',
  const Color(0xffffff33): 'Electric Yellow',
  const Color(0xff123447): 'Elephant',
  const Color(0xff088370): 'Elf Green',
  const Color(0xff1c7c7d): 'Elm',
  const Color(0xff50c878): 'Emerald',
  const Color(0xff6c3082): 'Eminence',
  const Color(0xff514649): 'Emperor',
  const Color(0xff817377): 'Empress',
  const Color(0xff0056a7): 'Endeavour',
  const Color(0xfff8dd5c): 'Energy Yellow',
  const Color(0xffba160c): 'Engineering International Orange',
  const Color(0xff022d15): 'English Holly',
  const Color(0xffb48395): 'English Lavender',
  const Color(0xffab4b52): 'English Red',
  const Color(0xffcc474b): 'English Vermillion',
  const Color(0xff3e2b23): 'English Walnut',
  const Color(0xff8ba690): 'Envy',
  const Color(0xffe1bc64): 'Equator',
  const Color(0xff612718): 'Espresso',
  const Color(0xff211a0e): 'Eternity',
  const Color(0xff96c8a2): 'Eton Blue',
  const Color(0xff44d7a8): 'Eucalyptus',
  const Color(0xffcfa39d): 'Eunry',
  const Color(0xff024e46): 'Evening Sea',
  const Color(0xff1c402e): 'Everglade',
  const Color(0xff010b13): 'FOGRA29 Rich Black',
  const Color(0xff010203): 'FOGRA39 Rich Black',
  const Color(0xff427977): 'Faded Jade',
  const Color(0xffffefec): 'Fair Pink',
  const Color(0xff7f626d): 'Falcon',
  const Color(0xffc19a6b): 'Fallow',
  const Color(0xff801818): 'Falu Red',
  const Color(0xffb53389): 'Fandango',
  const Color(0xffde5285): 'Fandango Pink',
  const Color(0xfffaf3f0): 'Fantasy',
  const Color(0xfff400a1): 'Fashion Fuchsia',
  const Color(0xffe5aa70): 'Fawn',
  const Color(0xff796a78): 'Fedora',
  const Color(0xff9fdd8c): 'Feijoa',
  const Color(0xff4d5d53): 'Feldgrau',
  const Color(0xff63b76c): 'Fern',
  const Color(0xff657220): 'Fern Frond',
  const Color(0xff4f7942): 'Fern Green',
  const Color(0xff704f50): 'Ferra',
  const Color(0xffff2800): 'Ferrari Red',
  const Color(0xfffbe96c): 'Festival',
  const Color(0xfff0fcea): 'Feta',
  const Color(0xff6c541e): 'Field Drab',
  const Color(0xffb35213): 'Fiery Orange',
  const Color(0xffff5470): 'Fiery Rose',
  const Color(0xff626649): 'Finch',
  const Color(0xff556d56): 'Finlandia',
  const Color(0xff692d54): 'Finn',
  const Color(0xff405169): 'Fiord',
  const Color(0xffaa4203): 'Fire',
  const Color(0xffe89928): 'Fire Bush',
  const Color(0xffce2029): 'Fire Engine Red',
  const Color(0xffb22222): 'Firebrick',
  const Color(0xff0e2a30): 'Firefly',
  const Color(0xffe25822): 'Flame',
  const Color(0xffda5b38): 'Flame Pea',
  const Color(0xffff7d07): 'Flamenco',
  const Color(0xfff2552a): 'Flamingo',
  const Color(0xfffc8eac): 'Flamingo Pink',
  const Color(0xfff7e98e): 'Flavescent',
  const Color(0xffeedc82): 'Flax',
  const Color(0xff7b8265): 'Flax Smoke',
  const Color(0xff6f6a61): 'Flint',
  const Color(0xffa2006d): 'Flirt',
  const Color(0xfffffaf0): 'Floral White',
  const Color(0xffca3435): 'Flush Mahogany',
  const Color(0xffd8fcfa): 'Foam',
  const Color(0xffd7d0ff): 'Fog',
  const Color(0xffcbcab6): 'Foggy Gray',
  const Color(0xffff004f): 'Folly',
  const Color(0xff228b22): 'Forest Green',
  const Color(0xfffff1ee): 'Forget Me Not',
  const Color(0xff56b4be): 'Fountain Blue',
  const Color(0xffffdeb3): 'Frangipani',
  const Color(0xff856d4d): 'French Bistre',
  const Color(0xff0072bb): 'French Blue',
  const Color(0xfffd3f92): 'French Fuchsia',
  const Color(0xffbdbdc6): 'French Gray',
  const Color(0xff86608e): 'French Lilac',
  const Color(0xff9efd38): 'French Lime',
  const Color(0xffd473d4): 'French Mauve',
  const Color(0xffbdedfd): 'French Pass',
  const Color(0xfffd6c9e): 'French Pink',
  const Color(0xff811453): 'French Plum',
  const Color(0xff4e1609): 'French Puce',
  const Color(0xffc72c48): 'French Raspberry',
  const Color(0xfff64a8a): 'French Rose',
  const Color(0xff77b5fe): 'French Sky Blue',
  const Color(0xff8806ce): 'French Violet',
  const Color(0xffac1e44): 'French Wine',
  const Color(0xffa6e7ff): 'Fresh Air',
  const Color(0xff990066): 'Fresh Eggplant',
  const Color(0xff807e79): 'Friar Gray',
  const Color(0xffb1e2c1): 'Fringy Flower',
  const Color(0xfff57584): 'Froly',
  const Color(0xffedf5dd): 'Frost',
  const Color(0xffe936a7): 'Frostbite',
  const Color(0xffdbfff8): 'Frosted Mint',
  const Color(0xffe4f6e7): 'Frostee',
  const Color(0xff4f9d5d): 'Fruit Salad',
  const Color(0xffff00ff): 'Fuchsia',
  const Color(0xff7a58c1): 'Fuchsia Blue',
  const Color(0xffff77ff): 'Fuchsia Pink',
  const Color(0xffcc397b): 'Fuchsia Purple',
  const Color(0xffc74375): 'Fuchsia Rose',
  const Color(0xffbede0d): 'Fuego',
  const Color(0xffeca927): 'Fuel Yellow',
  const Color(0xffe48400): 'Fulvous',
  const Color(0xff1959a8): 'Fun Blue',
  const Color(0xff016d39): 'Fun Green',
  const Color(0xff54534d): 'Fuscous Gray',
  const Color(0xffcc6666): 'Fuzzy Wuzzy',
  const Color(0xffc45655): 'Fuzzy Wuzzy Brown',
  const Color(0xff00ab66): 'GO Green',
  const Color(0xff163531): 'Gable Green',
  const Color(0xffdcdcdc): 'Gainsboro',
  const Color(0xffefefef): 'Gallery',
  const Color(0xffdcb20c): 'Galliano',
  const Color(0xffe49b0f): 'Gamboge',
  const Color(0xff996600): 'Gamboge Orange',
  const Color(0xffffdf46): 'Gargoyle Gas',
  const Color(0xffd18f1b): 'Geebung',
  const Color(0xff007f66): 'Generic Viridian',
  const Color(0xff15736b): 'Genoa',
  const Color(0xfffb8989): 'Geraldine',
  const Color(0xffd4dfe2): 'Geyser',
  const Color(0xffc7c9d5): 'Ghost',
  const Color(0xfff8f8ff): 'Ghost White',
  const Color(0xffb05c52): 'Giants Club',
  const Color(0xfffe5a1d): 'Giants Orange',
  const Color(0xff523c94): 'Gigas',
  const Color(0xffb8b56a): 'Gimblet',
  const Color(0xffe8f2eb): 'Gin',
  const Color(0xfffff9e2): 'Gin Fizz',
  const Color(0xffb06500): 'Ginger',
  const Color(0xfff8e4bf): 'Givry',
  const Color(0xff80b3c4): 'Glacier',
  const Color(0xff61845f): 'Glade Green',
  const Color(0xff6082b6): 'Glaucous',
  const Color(0xffe6e8fa): 'Glitter',
  const Color(0xffab92b3): 'Glossy Grape',
  const Color(0xff726d4e): 'Go Ben',
  const Color(0xff3d7d52): 'Goblin',
  const Color(0xfff18200): 'Gold Drop',
  const Color(0xff85754e): 'Gold Fusion',
  const Color(0xffdeba13): 'Gold Tips',
  const Color(0xffffd700): 'Golden',
  const Color(0xffe28913): 'Golden Bell',
  const Color(0xff996515): 'Golden Brown',
  const Color(0xfff0d52d): 'Golden Dream',
  const Color(0xfff5fb3d): 'Golden Fizz',
  const Color(0xffc0362c): 'Golden Gate Bridge',
  const Color(0xfffde295): 'Golden Glow',
  const Color(0xfffcc200): 'Golden Poppy',
  const Color(0xfff0db7d): 'Golden Sand',
  const Color(0xffffcc5c): 'Golden Tainoi',
  const Color(0xffffdf00): 'Golden Yellow',
  const Color(0xffdaa520): 'Goldenrod',
  const Color(0xff261414): 'Gondola',
  const Color(0xff0b1107): 'Gordons Green',
  const Color(0xfffff14f): 'Gorse',
  const Color(0xff069b81): 'Gossamer',
  const Color(0xffd2f8b0): 'Gossip',
  const Color(0xff6d92a1): 'Gothic',
  const Color(0xff2f3cb3): 'Governor Bay',
  const Color(0xffe4d5b7): 'Grain Brown',
  const Color(0xffffd38c): 'Grandis',
  const Color(0xff676767): 'Granite Gray',
  const Color(0xff8d8974): 'Granite Green',
  const Color(0xffd5f6e3): 'Granny Apple',
  const Color(0xff84a0a0): 'Granny Smith',
  const Color(0xffa8e4a0): 'Granny Smith Apple',
  const Color(0xff6f2da8): 'Grape',
  const Color(0xff251607): 'Graphite',
  const Color(0xff4a444b): 'Gravel',
  const Color(0xff808080): 'Gray',
  const Color(0xff465945): 'Gray Asparagus',
  const Color(0xffa2aab3): 'Gray Chateau',
  const Color(0xffc3c3bd): 'Gray Nickel',
  const Color(0xffe7ece6): 'Gray Nurse',
  const Color(0xffa9a491): 'Gray Olive',
  const Color(0xffc1becd): 'Gray Suit',
  const Color(0xff00ff00): 'Green',
  const Color(0xff1164b4): 'Green Blue',
  const Color(0xff009966): 'Green Cyan',
  const Color(0xff01a368): 'Green Haze',
  const Color(0xff24500f): 'Green House',
  const Color(0xff25311c): 'Green Kelp',
  const Color(0xff436a0d): 'Green Leaf',
  const Color(0xffa7f432): 'Green Lizard',
  const Color(0xffcbd3b0): 'Green Mist',
  const Color(0xff1d6142): 'Green Pea',
  const Color(0xff6eaea1): 'Green Sheen',
  const Color(0xffa4af6e): 'Green Smoke',
  const Color(0xffb8c1b1): 'Green Spring',
  const Color(0xff032b52): 'Green Vogue',
  const Color(0xff101405): 'Green Waterloo',
  const Color(0xffe8ebe0): 'Green White',
  const Color(0xffadff2f): 'Green Yellow',
  const Color(0xffd54600): 'Grenadier',
  const Color(0xff885818): 'Grizzly',
  const Color(0xffa99a86): 'Grullo',
  const Color(0xffba0101): 'Guardsman Red',
  const Color(0xff051657): 'Gulf Blue',
  const Color(0xff80b3ae): 'Gulf Stream',
  const Color(0xff9dacb7): 'Gull Gray',
  const Color(0xffb6d3bf): 'Gum Leaf',
  const Color(0xff7ca1a6): 'Gumbo',
  const Color(0xff414257): 'Gun Powder',
  const Color(0xff2a3439): 'Gunmetal',
  const Color(0xff828685): 'Gunsmoke',
  const Color(0xff9a9577): 'Gurkha',
  const Color(0xff98811b): 'Hacienda',
  const Color(0xff6b2a14): 'Hairy Heath',
  const Color(0xff1b1035): 'Haiti',
  const Color(0xff663854): 'Halayà Úbe',
  const Color(0xff85c4cc): 'Half Baked',
  const Color(0xfffdf6d3): 'Half Colonial White',
  const Color(0xfffef7de): 'Half Dutch White',
  const Color(0xfffef4db): 'Half Spanish White',
  const Color(0xfffffee1): 'Half and Half',
  const Color(0xffe5d8af): 'Hampton',
  const Color(0xff446ccf): 'Han Blue',
  const Color(0xff5218fa): 'Han Purple',
  const Color(0xff3fff00): 'Harlequin',
  const Color(0xff46cb18): 'Harlequin Green',
  const Color(0xffe6f2ea): 'Harp',
  const Color(0xffc90016): 'Harvard Crimson',
  const Color(0xffda9100): 'Harvest Gold',
  const Color(0xff5590d9): 'Havelock Blue',
  const Color(0xff9d5616): 'Hawaiian Tan',
  const Color(0xffd4e2fc): 'Hawkes Blue',
  const Color(0xffff7a00): 'Heat Wave',
  const Color(0xff541012): 'Heath',
  const Color(0xffb7c3d0): 'Heather',
  const Color(0xffb6b095): 'Heathered Gray',
  const Color(0xff2b3228): 'Heavy Metal',
  const Color(0xffdf73ff): 'Heliotrope',
  const Color(0xffaa98a9): 'Heliotrope Gray',
  const Color(0xffaa00bb): 'Heliotrope Magenta',
  const Color(0xff5e5d3b): 'Hemlock',
  const Color(0xff907874): 'Hemp',
  const Color(0xffb6316c): 'Hibiscus',
  const Color(0xff6f8e63): 'Highland',
  const Color(0xffaca586): 'Hillary',
  const Color(0xff6a5d1b): 'Himalaya',
  const Color(0xffe6ffe9): 'Hint of Green',
  const Color(0xfffbf9f9): 'Hint of Red',
  const Color(0xfffafde4): 'Hint of Yellow',
  const Color(0xff589aaf): 'Hippie Blue',
  const Color(0xff53824b): 'Hippie Green',
  const Color(0xffae4560): 'Hippie Pink',
  const Color(0xffa1adb5): 'Hit Gray',
  const Color(0xffffab81): 'Hit Pink',
  const Color(0xffc8a528): 'Hokey Pokey',
  const Color(0xff65869f): 'Hoki',
  const Color(0xff011d13): 'Holly',
  const Color(0xff4f1c70): 'Honey Flower',
  const Color(0xfff0fff0): 'Honeydew',
  const Color(0xffedfc84): 'Honeysuckle',
  const Color(0xff006db0): 'Honolulu Blue',
  const Color(0xff49796b): 'Hookers Green',
  const Color(0xffd06da1): 'Hopbush',
  const Color(0xff5a87a0): 'Horizon',
  const Color(0xff543d37): 'Horses',
  const Color(0xff604913): 'Horses Neck',
  const Color(0xffff1dce): 'Hot Magenta',
  const Color(0xffff69b4): 'Hot Pink',
  const Color(0xffb38007): 'Hot Toddy',
  const Color(0xffcff9f3): 'Humming Bird',
  const Color(0xff355e3b): 'Hunter Green',
  const Color(0xff877c7b): 'Hurricane',
  const Color(0xffb7a458): 'Husk',
  const Color(0xffb1f4e7): 'Ice Cold',
  const Color(0xff71a6d2): 'Iceberg',
  const Color(0xfffcf75e): 'Icterine',
  const Color(0xff319177): 'Illuminating Emerald',
  const Color(0xfff6a4c9): 'Illusion',
  const Color(0xff602f6b): 'Imperial',
  const Color(0xff002395): 'Imperial Blue',
  const Color(0xffed2939): 'Imperial Red',
  const Color(0xffb0e313): 'Inch Worm',
  const Color(0xffb2ec5d): 'Inchworm',
  const Color(0xff4c516d): 'Independence',
  const Color(0xff138808): 'India Green',
  const Color(0xffcd5c5c): 'Indian Red',
  const Color(0xff4d1e01): 'Indian Tan',
  const Color(0xffe3a857): 'Indian Yellow',
  const Color(0xff4b0082): 'Indigo',
  const Color(0xff091f92): 'Indigo Dye',
  const Color(0xffc26b03): 'Indochine',
  const Color(0xff002fa7): 'International Klein Blue',
  const Color(0xffff4f00): 'International Orange',
  const Color(0xff5a4fcf): 'Iris',
  const Color(0xff5f3d26): 'Irish Coffee',
  const Color(0xff433120): 'Iroko',
  const Color(0xffd4d7d9): 'Iron',
  const Color(0xff676662): 'Ironside Gray',
  const Color(0xff86483c): 'Ironstone',
  const Color(0xffb3446c): 'Irresistible',
  const Color(0xfff4f0ec): 'Isabelline',
  const Color(0xff009000): 'Islamic Green',
  const Color(0xfffffcee): 'Island Spice',
  const Color(0xfffffff0): 'Ivory',
  const Color(0xff2e0329): 'Jacaranda',
  const Color(0xff3a2a6a): 'Jacarta',
  const Color(0xff2e1905): 'Jacko Bean',
  const Color(0xff20208d): 'Jacksons Purple',
  const Color(0xff00a86b): 'Jade',
  const Color(0xffef863f): 'Jaffa',
  const Color(0xffc2e8e5): 'Jagged Ice',
  const Color(0xff350e57): 'Jagger',
  const Color(0xff080110): 'Jaguar',
  const Color(0xff5b3013): 'Jambalaya',
  const Color(0xfff4ebd3): 'Janna',
  const Color(0xff9d2933): 'Japanese Carmine',
  const Color(0xff264348): 'Japanese Indigo',
  const Color(0xff0a6906): 'Japanese Laurel',
  const Color(0xff780109): 'Japanese Maple',
  const Color(0xff5b3256): 'Japanese Violet',
  const Color(0xffd87c63): 'Japonica',
  const Color(0xfff8de7e): 'Jasmine',
  const Color(0xffd73b3e): 'Jasper',
  const Color(0xff1fc2c2): 'Java',
  const Color(0xffa50b5e): 'Jazzberry Jam',
  const Color(0xffda614e): 'Jelly Bean',
  const Color(0xff343434): 'Jet',
  const Color(0xffb5d2ce): 'Jet Stream',
  const Color(0xff126b40): 'Jewel',
  const Color(0xff3b1f1f): 'Jon',
  const Color(0xfff4ca16): 'Jonquil',
  const Color(0xff8ab9f1): 'Jordy Blue',
  const Color(0xff544333): 'Judge Gray',
  const Color(0xff7c7b82): 'Jumbo',
  const Color(0xffbdda57): 'June Bud',
  const Color(0xff29ab87): 'Jungle Green',
  const Color(0xffb4cfd3): 'Jungle Mist',
  const Color(0xff6d9292): 'Juniper',
  const Color(0xffeccdb9): 'Just Right',
  const Color(0xffe8000d): 'KU Crimson',
  const Color(0xff5e483e): 'Kabul',
  const Color(0xff004620): 'Kaitoke Green',
  const Color(0xffc6c8bd): 'Kangaroo',
  const Color(0xff1e1609): 'Karaka',
  const Color(0xffffead4): 'Karry',
  const Color(0xff507096): 'Kashmir Blue',
  const Color(0xff4cbb17): 'Kelly Green',
  const Color(0xff454936): 'Kelp',
  const Color(0xff7c1c05): 'Kenyan Copper',
  const Color(0xff3ab09e): 'Keppel',
  const Color(0xffe8f48c): 'Key Lime',
  const Color(0xffbfc921): 'Key Lime Pie',
  const Color(0xffc3b091): 'Khaki',
  const Color(0xffe1ead4): 'Kidnapper',
  const Color(0xff240c02): 'Kilamanjaro',
  const Color(0xff3a6a47): 'Killarney',
  const Color(0xff736c9f): 'Kimberly',
  const Color(0xff3e0480): 'Kingfisher Daisy',
  const Color(0xffe79fc4): 'Kobi',
  const Color(0xff6b4423): 'Kobicha',
  const Color(0xff6e6d57): 'Kokoda',
  const Color(0xff354230): 'Kombu Green',
  const Color(0xff8f4b0e): 'Korma',
  const Color(0xffffbd5f): 'Koromiko',
  const Color(0xffffe772): 'Kournikova',
  const Color(0xff886221): 'Kumera',
  const Color(0xff368716): 'La Palma',
  const Color(0xffb3c110): 'La Rioja',
  const Color(0xff087830): 'La Salle Green',
  const Color(0xffd6cadd): 'Languid Lavender',
  const Color(0xff26619c): 'Lapis Lazuli',
  const Color(0xffc6e610): 'Las Palmas',
  const Color(0xffc8b568): 'Laser',
  const Color(0xff749378): 'Laurel',
  const Color(0xffa9ba9d): 'Laurel Green',
  const Color(0xffcf1020): 'Lava',
  const Color(0xffb57edc): 'Lavender',
  const Color(0xfffff0f5): 'Lavender Blush',
  const Color(0xffc4c3d0): 'Lavender Gray',
  const Color(0xff9457eb): 'Lavender Indigo',
  const Color(0xffee82ee): 'Lavender Magenta',
  const Color(0xffe6e6fa): 'Lavender Mist',
  const Color(0xfffbaed2): 'Lavender Pink',
  const Color(0xff967bb6): 'Lavender Purple',
  const Color(0xfffba0e3): 'Lavender Rose',
  const Color(0xff7cfc00): 'Lawn Green',
  const Color(0xff967059): 'Leather',
  const Color(0xfffff700): 'Lemon',
  const Color(0xfffffacd): 'Lemon Chiffon',
  const Color(0xffcca01d): 'Lemon Curry',
  const Color(0xffac9e22): 'Lemon Ginger',
  const Color(0xfffdff00): 'Lemon Glacier',
  const Color(0xff9b9e8f): 'Lemon Grass',
  const Color(0xffe3ff00): 'Lemon Lime',
  const Color(0xfff6eabe): 'Lemon Meringue',
  const Color(0xfffff44f): 'Lemon Yellow',
  const Color(0xffba93d8): 'Lenurple',
  const Color(0xff545aa7): 'Liberty',
  const Color(0xff1a1110): 'Licorice',
  const Color(0xfffdd5b1): 'Light Apricot',
  const Color(0xffadd8e6): 'Light Blue',
  const Color(0xfffe2e2e): 'Light Brilliant Red',
  const Color(0xffb5651d): 'Light Brown',
  const Color(0xffe66771): 'Light Carmine Pink',
  const Color(0xff88ace0): 'Light Cobalt Blue',
  const Color(0xfff08080): 'Light Coral',
  const Color(0xff93ccea): 'Light Cornflower Blue',
  const Color(0xfff56991): 'Light Crimson',
  const Color(0xffe0ffff): 'Light Cyan',
  const Color(0xffff5ccd): 'Light Deep Pink',
  const Color(0xffc8ad7f): 'Light French Beige',
  const Color(0xfff984ef): 'Light Fuchsia Pink',
  const Color(0xfffafad2): 'Light Goldenrod Yellow',
  const Color(0xffd3d3d3): 'Light Gray',
  const Color(0xffcc99cc): 'Light Grayish Magenta',
  const Color(0xff90ee90): 'Light Green',
  const Color(0xffffb3de): 'Light Hot Pink',
  const Color(0xfff0e68c): 'Light Khaki',
  const Color(0xffd39bcb): 'Light Medium Orchid',
  const Color(0xffaddfad): 'Light Moss Green',
  const Color(0xffe6a8d7): 'Light Orchid',
  const Color(0xffb19cd9): 'Light Pastel Purple',
  const Color(0xffffb6c1): 'Light Pink',
  const Color(0xffffa07a): 'Light Salmon',
  const Color(0xffff9999): 'Light Salmon Pink',
  const Color(0xff20b2aa): 'Light Sea Green',
  const Color(0xff87cefa): 'Light Sky Blue',
  const Color(0xff778899): 'Light Slate Gray',
  const Color(0xffb0c4de): 'Light Steel Blue',
  const Color(0xffb38b6d): 'Light Taupe',
  const Color(0xffafeeee): 'Light Turquoise',
  const Color(0xffffffe0): 'Light Yellow',
  const Color(0xfffcc01e): 'Lightning Yellow',
  const Color(0xffc8a2c8): 'Lilac',
  const Color(0xff9874d3): 'Lilac Bush',
  const Color(0xffae98aa): 'Lilac Luster',
  const Color(0xffc8aabf): 'Lily',
  const Color(0xffe7f8ff): 'Lily White',
  const Color(0xff76bd17): 'Lima',
  const Color(0xffbfff00): 'Lime',
  const Color(0xff32cd32): 'Lime Green',
  const Color(0xff6f9d02): 'Limeade',
  const Color(0xff747d63): 'Limed Ash',
  const Color(0xffac8a56): 'Limed Oak',
  const Color(0xff394851): 'Limed Spruce',
  const Color(0xff9dc209): 'Limerick',
  const Color(0xff195905): 'Lincoln Green',
  const Color(0xfffaf0e6): 'Linen',
  const Color(0xffd9e4f5): 'Link Water',
  const Color(0xffab0563): 'Lipstick',
  const Color(0xff423921): 'Lisbon Brown',
  const Color(0xff6ca0dc): 'Little Boy Blue',
  const Color(0xff674c47): 'Liver',
  const Color(0xff987456): 'Liver Chestnut',
  const Color(0xff4d282e): 'Livid Brown',
  const Color(0xffeef4de): 'Loafer',
  const Color(0xffbdc9ce): 'Loblolly',
  const Color(0xff2c8c84): 'Lochinvar',
  const Color(0xff007ec7): 'Lochmara',
  const Color(0xffa8af8e): 'Locust',
  const Color(0xff242a1d): 'Log Cabin',
  const Color(0xffaaa9cd): 'Logan',
  const Color(0xffdfcfdb): 'Lola',
  const Color(0xffbea6c3): 'London Hue',
  const Color(0xff6d0101): 'Lonestar',
  const Color(0xff863c3c): 'Lotus',
  const Color(0xff460b41): 'Loulou',
  const Color(0xffaf9f1c): 'Lucky',
  const Color(0xff1a1a68): 'Lucky Point',
  const Color(0xffffe4cd): 'Lumber',
  const Color(0xff3c493a): 'Lunar Green',
  const Color(0xffe62020): 'Lust',
  const Color(0xffa7882c): 'Luxor Gold',
  const Color(0xff697e9a): 'Lynch',
  const Color(0xff18453b): 'MSU Green',
  const Color(0xffd9f7ff): 'Mabel',
  const Color(0xffffbd88): 'Macaroni And Cheese',
  const Color(0xffffb97b): 'Macaroni and Cheese',
  const Color(0xffb7f0be): 'Madang',
  const Color(0xff09255d): 'Madison',
  const Color(0xff3f3002): 'Madras',
  const Color(0xffca1f7b): 'Magenta',
  const Color(0xff9f4576): 'Magenta Haze',
  const Color(0xffcc338b): 'Magenta Pink',
  const Color(0xffaaf0d1): 'Magic Mint',
  const Color(0xffff4466): 'Magic Potion',
  const Color(0xfff8f4ff): 'Magnolia',
  const Color(0xffc04000): 'Mahogany',
  const Color(0xffb06608): 'Mai Tai',
  const Color(0xfffbec5d): 'Maize',
  const Color(0xff6050dc): 'Majorelle Blue',
  const Color(0xff897d6d): 'Makara',
  const Color(0xff444954): 'Mako',
  const Color(0xff0bda51): 'Malachite',
  const Color(0xff7dc8f7): 'Malibu',
  const Color(0xff233418): 'Mallard',
  const Color(0xffbdb2a1): 'Malta',
  const Color(0xff8e8190): 'Mamba',
  const Color(0xff979aaa): 'Manatee',
  const Color(0xffad781b): 'Mandalay',
  const Color(0xfff37a48): 'Mandarin',
  const Color(0xffe25465): 'Mandy',
  const Color(0xfff2c3b2): 'Mandys Pink',
  const Color(0xffff8243): 'Mango Tango',
  const Color(0xfff5c999): 'Manhattan',
  const Color(0xff74c365): 'Mantis',
  const Color(0xff8b9c90): 'Mantle',
  const Color(0xffeeef78): 'Manz',
  const Color(0xff880085): 'Mardi Gras',
  const Color(0xffeaa221): 'Marigold',
  const Color(0xfffbe870): 'Marigold Yellow',
  const Color(0xff286acd): 'Mariner',
  const Color(0xff800000): 'Maroon',
  const Color(0xff520c17): 'Maroon Oak',
  const Color(0xff0b0f08): 'Marshland',
  const Color(0xffafa09e): 'Martini',
  const Color(0xff363050): 'Martinique',
  const Color(0xfff8db9d): 'Marzipan',
  const Color(0xff403b38): 'Masala',
  const Color(0xff1b659d): 'Matisse',
  const Color(0xffb05d54): 'Matrix',
  const Color(0xff4e3b41): 'Matterhorn',
  const Color(0xffe0b0ff): 'Mauve',
  const Color(0xff915f6d): 'Mauve Taupe',
  const Color(0xffef98aa): 'Mauvelous',
  const Color(0xffd8c2d5): 'Maverick',
  const Color(0xff47abcc): 'Maximum Blue',
  const Color(0xfffafa37): 'Maximum Yellow',
  const Color(0xff4c9141): 'May Green',
  const Color(0xff73c2fb): 'Maya Blue',
  const Color(0xffe5b73b): 'Meat Brown',
  const Color(0xff66ddaa): 'Medium Aquamarine',
  const Color(0xff0000cd): 'Medium Blue',
  const Color(0xffe2062c): 'Medium Candy Apple Red',
  const Color(0xff035096): 'Medium Electric Blue',
  const Color(0xff1c352d): 'Medium Jungle Green',
  const Color(0xffba55d3): 'Medium Orchid',
  const Color(0xff9370db): 'Medium Purple',
  const Color(0xffbb3385): 'Medium Red Violet',
  const Color(0xffaa4069): 'Medium Ruby',
  const Color(0xff3cb371): 'Medium Sea Green',
  const Color(0xff80daeb): 'Medium Sky Blue',
  const Color(0xff7b68ee): 'Medium Slate Blue',
  const Color(0xffc9dc87): 'Medium Spring Bud',
  const Color(0xff00fa9a): 'Medium Spring Green',
  const Color(0xff48d1cc): 'Medium Turquoise',
  const Color(0xffd9603b): 'Medium Vermilion',
  const Color(0xffe4c2d5): 'Melanie',
  const Color(0xff300529): 'Melanzane',
  const Color(0xfff8b878): 'Mellow Apricot',
  const Color(0xfffdbcb4): 'Melon',
  const Color(0xffc7c1ff): 'Melrose',
  const Color(0xffe5e5e5): 'Mercury',
  const Color(0xfff6f0e6): 'Merino',
  const Color(0xff413c37): 'Merlin',
  const Color(0xff831923): 'Merlot',
  const Color(0xffff00fd): 'Metal Pink',
  const Color(0xff49371b): 'Metallic Bronze',
  const Color(0xff71291d): 'Metallic Copper',
  const Color(0xffd4af37): 'Metallic Gold',
  const Color(0xff0a7e8c): 'Metallic Seaweed',
  const Color(0xff9c7c38): 'Metallic Sunburst',
  const Color(0xffd07d12): 'Meteor',
  const Color(0xff3c1f76): 'Meteorite',
  const Color(0xffe4007c): 'Mexican Pink',
  const Color(0xffa72525): 'Mexican Red',
  const Color(0xff5f5f6e): 'Mid Gray',
  const Color(0xff702670): 'Midnight',
  const Color(0xff191970): 'Midnight Blue',
  const Color(0xff041004): 'Midnight Moss',
  const Color(0xff2d2510): 'Mikado',
  const Color(0xffffc40c): 'Mikado Yellow',
  const Color(0xfffaffa4): 'Milan',
  const Color(0xffb81104): 'Milano Red',
  const Color(0xfffff6d4): 'Milk Punch',
  const Color(0xff594433): 'Millbrook',
  const Color(0xfff8fdd3): 'Mimosa',
  const Color(0xffe3f988): 'Mindaro',
  const Color(0xff323232): 'Mine Shaft',
  const Color(0xff3f5d53): 'Mineral Green',
  const Color(0xff36747d): 'Ming',
  const Color(0xfff5e050): 'Minion Yellow',
  const Color(0xff3f307f): 'Minsk',
  const Color(0xff3eb489): 'Mint',
  const Color(0xfff5fffa): 'Mint Cream',
  const Color(0xff98ff98): 'Mint Green',
  const Color(0xfff1eec1): 'Mint Julep',
  const Color(0xffc4f4eb): 'Mint Tulip',
  const Color(0xff161928): 'Mirage',
  const Color(0xffd1d2dd): 'Mischka',
  const Color(0xffc4c4bc): 'Mist Gray',
  const Color(0xffbbb477): 'Misty Moss',
  const Color(0xffffe4e1): 'Misty Rose',
  const Color(0xff7f7589): 'Mobster',
  const Color(0xff6e1d14): 'Moccaccino',
  const Color(0xffffe4b5): 'Moccasin',
  const Color(0xff782d19): 'Mocha',
  const Color(0xffc04737): 'Mojo',
  const Color(0xffffa194): 'Mona Lisa',
  const Color(0xff8b0723): 'Monarch',
  const Color(0xff4a3c30): 'Mondo',
  const Color(0xffb5a27f): 'Mongoose',
  const Color(0xff8a8389): 'Monsoon',
  const Color(0xff83d0c6): 'Monte Carlo',
  const Color(0xffc7031e): 'Monza',
  const Color(0xff7f76d3): 'Moody Blue',
  const Color(0xfffcfeda): 'Moon Glow',
  const Color(0xffdcddcc): 'Moon Mist',
  const Color(0xffd6cef6): 'Moon Raker',
  const Color(0xff73a9c2): 'Moonstone Blue',
  const Color(0xffae0c00): 'Mordant Red',
  const Color(0xff9edee0): 'Morning Glory',
  const Color(0xff441d00): 'Morocco Brown',
  const Color(0xff504351): 'Mortar',
  const Color(0xff036a6e): 'Mosque',
  const Color(0xff8a9a5b): 'Moss Green',
  const Color(0xff30ba8f): 'Mountain Meadow',
  const Color(0xff959396): 'Mountain Mist',
  const Color(0xff997a8d): 'Mountbatten Pink',
  const Color(0xffb78e5c): 'Muddy Waters',
  const Color(0xffaa8b5b): 'Muesli',
  const Color(0xff306030): 'Mughal Green',
  const Color(0xffc54b8c): 'Mulberry',
  const Color(0xff5c0536): 'Mulberry Wood',
  const Color(0xff8c472f): 'Mule Fawn',
  const Color(0xff4e4562): 'Mulled Wine',
  const Color(0xff828e84): 'Mummys Tomb',
  const Color(0xff0093af): 'Munsell Blue',
  const Color(0xff00a877): 'Munsell Green',
  const Color(0xff9f00c5): 'Munsell Purple',
  const Color(0xfff2003c): 'Munsell Red',
  const Color(0xffefcc00): 'Munsell Yellow',
  const Color(0xffffdb58): 'Mustard',
  const Color(0xffd69188): 'My Pink',
  const Color(0xffffb31f): 'My Sin',
  const Color(0xff317873): 'Myrtle Green',
  const Color(0xffd65282): 'Mystic',
  const Color(0xffad4379): 'Mystic Maroon',
  const Color(0xff0087bd): 'NCS Blue',
  const Color(0xff009f6b): 'NCS Green',
  const Color(0xffc40233): 'NCS Red',
  const Color(0xfff6adc6): 'Nadeshiko Pink',
  const Color(0xff4b5d52): 'Nandor',
  const Color(0xffaca494): 'Napa',
  const Color(0xff2a8000): 'Napier Green',
  const Color(0xfffada5e): 'Naples Yellow',
  const Color(0xffedf9f1): 'Narvik',
  const Color(0xff8b8680): 'Natural Gray',
  const Color(0xffffdead): 'Navajo White',
  const Color(0xff000080): 'Navy',
  const Color(0xffcbdbd6): 'Nebula',
  const Color(0xffffe2c5): 'Negroni',
  const Color(0xffffa343): 'Neon Carrot',
  const Color(0xfffe4164): 'Neon Fuchsia',
  const Color(0xff39ff14): 'Neon Green',
  const Color(0xff8eabc1): 'Nepal',
  const Color(0xff7cb7bb): 'Neptune',
  const Color(0xff140600): 'Nero',
  const Color(0xff646e75): 'Nevada',
  const Color(0xff214fc6): 'New Car',
  const Color(0xfff3d69d): 'New Orleans',
  const Color(0xffd7837f): 'New York Pink',
  const Color(0xff06a189): 'Niagara',
  const Color(0xff727472): 'Nickel',
  const Color(0xff1f120f): 'Night Rider',
  const Color(0xffaa375a): 'Night Shadz',
  const Color(0xff193751): 'Nile Blue',
  const Color(0xffb7b1b1): 'Nobel',
  const Color(0xffbab1a2): 'Nomad',
  const Color(0xffa4dded): 'Non Photo Blue',
  const Color(0xff059033): 'North Texas Green',
  const Color(0xffa8bd9f): 'Norway',
  const Color(0xffc59922): 'Nugget',
  const Color(0xff81422c): 'Nutmeg',
  const Color(0xff683600): 'Nutmeg Wood Finish',
  const Color(0xffe9ffdb): 'Nyanza',
  const Color(0xfffeefce): 'Oasis',
  const Color(0xff02866f): 'Observatory',
  const Color(0xff4f42b5): 'Ocean Blue',
  const Color(0xff0077be): 'Ocean Boat Blue',
  const Color(0xff48bf91): 'Ocean Green',
  const Color(0xffcc7722): 'Ochre',
  const Color(0xffe6f8f3): 'Off Green',
  const Color(0xfffef9e3): 'Off Yellow',
  const Color(0xfffd5240): 'Ogre Odor',
  const Color(0xff281e15): 'Oil',
  const Color(0xff901e1e): 'Old Brick',
  const Color(0xff43302e): 'Old Burgundy',
  const Color(0xff724a2f): 'Old Copper',
  const Color(0xffcfb53b): 'Old Gold',
  const Color(0xff563c5c): 'Old Heliotrope',
  const Color(0xfffdf5e6): 'Old Lace',
  const Color(0xff796878): 'Old Lavender',
  const Color(0xff867e36): 'Old Moss Green',
  const Color(0xffc08081): 'Old Rose',
  const Color(0xff848482): 'Old Silver',
  const Color(0xff808000): 'Olive',
  const Color(0xff6b8e23): 'Olive Drab',
  const Color(0xff3c341f): 'Olive Drab Seven',
  const Color(0xffb5b35c): 'Olive Green',
  const Color(0xff8b8470): 'Olive Haze',
  const Color(0xff716e10): 'Olivetone',
  const Color(0xff9ab973): 'Olivine',
  const Color(0xffcdf4ff): 'Onahau',
  const Color(0xff2f270e): 'Onion',
  const Color(0xff353839): 'Onyx',
  const Color(0xffa9c6c2): 'Opal',
  const Color(0xffb784a7): 'Opera Mauve',
  const Color(0xff8e6f70): 'Opium',
  const Color(0xff377475): 'Oracle',
  const Color(0xffff7f00): 'Orange',
  const Color(0xffff9f00): 'Orange Peel',
  const Color(0xffff4500): 'Orange Red',
  const Color(0xffc45719): 'Orange Roughy',
  const Color(0xfffa5b3d): 'Orange Soda',
  const Color(0xfffefced): 'Orange White',
  const Color(0xfff8d568): 'Orange Yellow',
  const Color(0xffda70d6): 'Orchid',
  const Color(0xfff2bdcd): 'Orchid Pink',
  const Color(0xfffffdf3): 'Orchid White',
  const Color(0xff9b4703): 'Oregon',
  const Color(0xff6c2e1f): 'Organ',
  const Color(0xff015e85): 'Orient',
  const Color(0xffc69191): 'Oriental Pink',
  const Color(0xfff3fbd4): 'Orinoco',
  const Color(0xfffb4f14): 'Orioles Orange',
  const Color(0xff878d91): 'Oslo Gray',
  const Color(0xffe9f8ed): 'Ottoman',
  const Color(0xff414a4c): 'Outer Space',
  const Color(0xffff6e4a): 'Outrageous Orange',
  const Color(0xff002147): 'Oxford Blue',
  const Color(0xff779e86): 'Oxley',
  const Color(0xffdafaff): 'Oyster Bay',
  const Color(0xffe9cecd): 'Oyster Pink',
  const Color(0xffa65529): 'Paarl',
  const Color(0xff776f61): 'Pablo',
  const Color(0xff1ca9c9): 'Pacific Blue',
  const Color(0xff778120): 'Pacifika',
  const Color(0xff411f10): 'Paco',
  const Color(0xffade6c4): 'Padua',
  const Color(0xff006600): 'Pakistan Green',
  const Color(0xff273be2): 'Palatinate Blue',
  const Color(0xff682860): 'Palatinate Purple',
  const Color(0xff987654): 'Pale Brown',
  const Color(0xffffff99): 'Pale Canary',
  const Color(0xffaf4035): 'Pale Carmine',
  const Color(0xff9bc4e2): 'Pale Cerulean',
  const Color(0xffddadaf): 'Pale Chestnut',
  const Color(0xffda8a67): 'Pale Copper',
  const Color(0xffabcdef): 'Pale Cornflower Blue',
  const Color(0xff87d3f8): 'Pale Cyan',
  const Color(0xffe6be8a): 'Pale Gold',
  const Color(0xffeee8aa): 'Pale Goldenrod',
  const Color(0xff98fb98): 'Pale Green',
  const Color(0xffdcd0ff): 'Pale Lavender',
  const Color(0xffc0d3b9): 'Pale Leaf',
  const Color(0xfff984e5): 'Pale Magenta',
  const Color(0xffff99cc): 'Pale Magenta Pink',
  const Color(0xff988d77): 'Pale Oyster',
  const Color(0xfffadadd): 'Pale Pink',
  const Color(0xffdda0dd): 'Pale Plum',
  const Color(0xfffdfeb8): 'Pale Prim',
  const Color(0xffdb7093): 'Pale Red Violet',
  const Color(0xff96ded1): 'Pale Robin Egg Blue',
  const Color(0xffffe1f2): 'Pale Rose',
  const Color(0xffc9c0bb): 'Pale Silver',
  const Color(0xff6e7783): 'Pale Sky',
  const Color(0xffc3bfc1): 'Pale Slate',
  const Color(0xffecebbd): 'Pale Spring Bud',
  const Color(0xffbc987e): 'Pale Taupe',
  const Color(0xffcc99ff): 'Pale Violet',
  const Color(0xff09230f): 'Palm Green',
  const Color(0xff19330e): 'Palm Leaf',
  const Color(0xfff4f2ee): 'Pampas',
  const Color(0xffeaf6ee): 'Panache',
  const Color(0xffedcdab): 'Pancho',
  const Color(0xff78184a): 'Pansy Purple',
  const Color(0xff0018a8): 'Pantone Blue',
  const Color(0xff00ad43): 'Pantone Green',
  const Color(0xffd0417e): 'Pantone Magenta',
  const Color(0xffff5800): 'Pantone Orange',
  const Color(0xffd74894): 'Pantone Pink',
  const Color(0xfffedf00): 'Pantone Yellow',
  const Color(0xff009b7d): 'Paolo Veronese Green',
  const Color(0xffffefd5): 'Papaya Whip',
  const Color(0xff8d0226): 'Paprika',
  const Color(0xffe63e62): 'Paradise Pink',
  const Color(0xff317d82): 'Paradiso',
  const Color(0xfff1e9d2): 'Parchment',
  const Color(0xfffff46e): 'Paris Daisy',
  const Color(0xff26056a): 'Paris M',
  const Color(0xffcadcd4): 'Paris White',
  const Color(0xff134f19): 'Parsley',
  const Color(0xffaec6cf): 'Pastel Blue',
  const Color(0xff836953): 'Pastel Brown',
  const Color(0xffcfcfc4): 'Pastel Gray',
  const Color(0xff77dd77): 'Pastel Green',
  const Color(0xfff49ac2): 'Pastel Magenta',
  const Color(0xffffb347): 'Pastel Orange',
  const Color(0xffdea5a4): 'Pastel Pink',
  const Color(0xffb39eb5): 'Pastel Purple',
  const Color(0xffff6961): 'Pastel Red',
  const Color(0xffcb99c9): 'Pastel Violet',
  const Color(0xfffdfd96): 'Pastel Yellow',
  const Color(0xff639a8f): 'Patina',
  const Color(0xffdef5ff): 'Pattens Blue',
  const Color(0xff260368): 'Paua',
  const Color(0xffd7c498): 'Pavlova',
  const Color(0xff536878): 'Paynes Grey',
  const Color(0xffffcba4): 'Peach',
  const Color(0xfffff0db): 'Peach Cream',
  const Color(0xffffcc99): 'Peach Orange',
  const Color(0xffffdab9): 'Peach Puff',
  const Color(0xffffdcd6): 'Peach Schnapps',
  const Color(0xfffadfad): 'Peach Yellow',
  const Color(0xff782f16): 'Peanut',
  const Color(0xffd1e231): 'Pear',
  const Color(0xffeae0c8): 'Pearl',
  const Color(0xff88d8c0): 'Pearl Aqua',
  const Color(0xffe8e0d5): 'Pearl Bush',
  const Color(0xfffcf4dc): 'Pearl Lusta',
  const Color(0xff32c6a6): 'Pearl Mystic Turquoise',
  const Color(0xffb768a2): 'Pearly Purple',
  const Color(0xff716b56): 'Peat',
  const Color(0xff3eabbf): 'Pelorous',
  const Color(0xffe3f5e1): 'Peppermint',
  const Color(0xffa9bef2): 'Perano',
  const Color(0xffd0bef8): 'Perfume',
  const Color(0xffe6e200): 'Peridot',
  const Color(0xffe1e6d6): 'Periglacial Blue',
  const Color(0xffccccff): 'Periwinkle',
  const Color(0xffc3cde6): 'Periwinkle Gray',
  const Color(0xffe12c2c): 'Permanent Geranium Lake',
  const Color(0xff1c39bb): 'Persian Blue',
  const Color(0xff00a693): 'Persian Green',
  const Color(0xff32127a): 'Persian Indigo',
  const Color(0xffd99058): 'Persian Orange',
  const Color(0xfff77fbe): 'Persian Pink',
  const Color(0xff701c1c): 'Persian Plum',
  const Color(0xffcc3333): 'Persian Red',
  const Color(0xfffe28a2): 'Persian Rose',
  const Color(0xffec5800): 'Persimmon',
  const Color(0xffcd853f): 'Peru',
  const Color(0xff7f3a02): 'Peru Tan',
  const Color(0xff7c7631): 'Pesto',
  const Color(0xffdb9690): 'Petite Orchid',
  const Color(0xff96a8a1): 'Pewter',
  const Color(0xff8ba8b7): 'Pewter Blue',
  const Color(0xffa3807b): 'Pharlap',
  const Color(0xff000f89): 'Phthalo Blue',
  const Color(0xff123524): 'Phthalo Green',
  const Color(0xfffff39d): 'Picasso',
  const Color(0xff6e4826): 'Pickled Bean',
  const Color(0xff314459): 'Pickled Bluewood',
  const Color(0xff45b1e8): 'Picton Blue',
  const Color(0xffc30b4e): 'Pictorial Carmine',
  const Color(0xfffdd7e4): 'Pig Pink',
  const Color(0xffafbdd9): 'Pigeon Post',
  const Color(0xfffddde6): 'Piggy Pink',
  const Color(0xff333399): 'Pigment Blue',
  const Color(0xff00a550): 'Pigment Green',
  const Color(0xffed1c24): 'Pigment Red',
  const Color(0xff6d5e54): 'Pine Cone',
  const Color(0xffc7cd90): 'Pine Glade',
  const Color(0xff01796f): 'Pine Green',
  const Color(0xff171f04): 'Pine Tree',
  const Color(0xffffc0cb): 'Pink',
  const Color(0xfffc74fd): 'Pink Flamingo',
  const Color(0xffe1c0c8): 'Pink Flare',
  const Color(0xffffddf4): 'Pink Lace',
  const Color(0xfffff1d8): 'Pink Lady',
  const Color(0xffd8b2d1): 'Pink Lavender',
  const Color(0xffff9966): 'Pink Orange',
  const Color(0xffe7accf): 'Pink Pearl',
  const Color(0xff980036): 'Pink Raspberry',
  const Color(0xfff78fa7): 'Pink Sherbet',
  const Color(0xffbeb5b7): 'Pink Swan',
  const Color(0xffc96323): 'Piper',
  const Color(0xfffef4cc): 'Pipi',
  const Color(0xffffe1df): 'Pippin',
  const Color(0xffba7f03): 'Pirate Gold',
  const Color(0xff93c572): 'Pistachio',
  const Color(0xffc0d8b6): 'Pixie Green',
  const Color(0xff391285): 'Pixie Powder',
  const Color(0xffff9000): 'Pizazz',
  const Color(0xffc99415): 'Pizza',
  const Color(0xff27504b): 'Plantation',
  const Color(0xffe5e4e2): 'Platinum',
  const Color(0xff8e4585): 'Plum',
  const Color(0xff5946b2): 'Plump Purple',
  const Color(0xff8f021c): 'Pohutukawa',
  const Color(0xffe5f9f6): 'Polar',
  const Color(0xff5da493): 'Polished Pine',
  const Color(0xff8da8cc): 'Polo Blue',
  const Color(0xfff34723): 'Pomegranate',
  const Color(0xff660045): 'Pompadour',
  const Color(0xffbe4f62): 'Popstar',
  const Color(0xffeff2f3): 'Porcelain',
  const Color(0xffeaae69): 'Porsche',
  const Color(0xff251f4f): 'Port Gore',
  const Color(0xffffffb4): 'Portafino',
  const Color(0xff8b9fee): 'Portage',
  const Color(0xfff9e663): 'Portica',
  const Color(0xffff5a36): 'Portland Orange',
  const Color(0xfff5e7e2): 'Pot Pourri',
  const Color(0xff8c5738): 'Potters Clay',
  const Color(0xffbcc9c2): 'Powder Ash',
  const Color(0xffb0e0e6): 'Powder Blue',
  const Color(0xff9a3820): 'Prairie Sand',
  const Color(0xffd0c0e5): 'Prelude',
  const Color(0xfff0e2ec): 'Prim',
  const Color(0xffedea99): 'Primrose',
  const Color(0xffff85cf): 'Princess Perfume',
  const Color(0xfff58025): 'Princeton Orange',
  const Color(0xff00b7eb): 'Process Cyan',
  const Color(0xffff0090): 'Process Magenta',
  const Color(0xfffef5f1): 'Provincial Pink',
  const Color(0xff003153): 'Prussian Blue',
  const Color(0xffdf00ff): 'Psychedelic Purple',
  const Color(0xffcc8899): 'Puce',
  const Color(0xff7d2c14): 'Pueblo',
  const Color(0xff3fc1aa): 'Puerto Rico',
  const Color(0xff644117): 'Pullman Brown',
  const Color(0xff3b331c): 'Pullman Green',
  const Color(0xffc2cac4): 'Pumice',
  const Color(0xffff7518): 'Pumpkin',
  const Color(0xffb1610b): 'Pumpkin Skin',
  const Color(0xffdc4333): 'Punch',
  const Color(0xff4d3d14): 'Punga',
  const Color(0xff800080): 'Purple',
  const Color(0xff69359c): 'Purple Heart',
  const Color(0xff9678b6): 'Purple Mountain Majesty',
  const Color(0xff4e5180): 'Purple Navy',
  const Color(0xfffe4eda): 'Purple Pizzazz',
  const Color(0xff9c51b6): 'Purple Plum',
  const Color(0xff50404d): 'Purple Taupe',
  const Color(0xff9a4eae): 'Purpureus',
  const Color(0xffe7cd8c): 'Putty',
  const Color(0xfffffdf4): 'Quarter Pearl Lusta',
  const Color(0xfff7f2e1): 'Quarter Spanish White',
  const Color(0xff51484f): 'Quartz',
  const Color(0xff436b95): 'Queen Blue',
  const Color(0xffe8ccd7): 'Queen Pink',
  const Color(0xffa6a6a6): 'Quick Silver',
  const Color(0xffbd978e): 'Quicksand',
  const Color(0xffd6d6d1): 'Quill Gray',
  const Color(0xff8e3a59): 'Quinacridone Magenta',
  const Color(0xff623f2d): 'Quincy',
  const Color(0xff0247fe): 'RYB Blue',
  const Color(0xff66b032): 'RYB Green',
  const Color(0xfffb9902): 'RYB Orange',
  const Color(0xfffe2712): 'RYB Red',
  const Color(0xff8601af): 'RYB Violet',
  const Color(0xfffefe33): 'RYB Yellow',
  const Color(0xff0c1911): 'Racing Green',
  const Color(0xffff355e): 'Radical Red',
  const Color(0xffeadab8): 'Raffia',
  const Color(0xffb9c8ac): 'Rainee',
  const Color(0xff242124): 'Raisin Black',
  const Color(0xfffbab60): 'Rajah',
  const Color(0xff2e3222): 'Rangitoto',
  const Color(0xff1c1e13): 'Rangoon Green',
  const Color(0xffe30b5d): 'Raspberry',
  const Color(0xffe25098): 'Raspberry Pink',
  const Color(0xff727b89): 'Raven',
  const Color(0xffd68a59): 'Raw Sienna',
  const Color(0xff826644): 'Raw Umber',
  const Color(0xffff33cc): 'Razzle Dazzle Rose',
  const Color(0xffe3256b): 'Razzmatazz',
  const Color(0xff8d4e85): 'Razzmic Berry',
  const Color(0xff663399): 'Rebecca Purple',
  const Color(0xff3c1206): 'Rebel',
  const Color(0xffff0000): 'Red',
  const Color(0xff7b3801): 'Red Beech',
  const Color(0xff8e0000): 'Red Berry',
  const Color(0xffda6a41): 'Red Damask',
  const Color(0xff860111): 'Red Devil',
  const Color(0xffff5349): 'Red Orange',
  const Color(0xff6e0902): 'Red Oxide',
  const Color(0xffe40078): 'Red Purple',
  const Color(0xffed0a3f): 'Red Ribbon',
  const Color(0xff80341f): 'Red Robin',
  const Color(0xfffd3a4a): 'Red Salsa',
  const Color(0xffd05f04): 'Red Stage',
  const Color(0xffc71585): 'Red Violet',
  const Color(0xffa45a52): 'Redwood',
  const Color(0xffc9ffa2): 'Reef',
  const Color(0xff9f821c): 'Reef Gold',
  const Color(0xff013f6a): 'Regal Blue',
  const Color(0xff522d80): 'Regalia',
  const Color(0xff86949f): 'Regent Gray',
  const Color(0xffaad6e6): 'Regent St Blue',
  const Color(0xfffeebf3): 'Remy',
  const Color(0xffa86515): 'Reno Sand',
  const Color(0xff002387): 'Resolution Blue',
  const Color(0xff2c1632): 'Revolver',
  const Color(0xff2e3f62): 'Rhino',
  const Color(0xff777696): 'Rhythm',
  const Color(0xfffffef0): 'Rice Cake',
  const Color(0xffeeffe2): 'Rice Flower',
  const Color(0xff004040): 'Rich Black',
  const Color(0xfff1a7fe): 'Rich Brilliant Lavender',
  const Color(0xffd70040): 'Rich Carmine',
  const Color(0xff0892d0): 'Rich Electric Blue',
  const Color(0xffa85307): 'Rich Gold',
  const Color(0xffa76bcf): 'Rich Lavender',
  const Color(0xffb666d2): 'Rich Lilac',
  const Color(0xffb03060): 'Rich Maroon',
  const Color(0xff444c38): 'Rifle Green',
  const Color(0xffbbd009): 'Rio Grande',
  const Color(0xfff4d81c): 'Ripe Lemon',
  const Color(0xff410056): 'Ripe Plum',
  const Color(0xff8be6d8): 'Riptide',
  const Color(0xff434c59): 'River Bed',
  const Color(0xff704241): 'Roast Coffee',
  const Color(0xffeac674): 'Rob Roy',
  const Color(0xff00cccc): 'Robin Egg Blue',
  const Color(0xff4d3833): 'Rock',
  const Color(0xff9eb1cd): 'Rock Blue',
  const Color(0xffba450c): 'Rock Spray',
  const Color(0xff8a7f80): 'Rocket Metallic',
  const Color(0xffc9b29b): 'Rodeo Dust',
  const Color(0xff747d83): 'Rolling Stone',
  const Color(0xffde6360): 'Roman',
  const Color(0xff795d4c): 'Roman Coffee',
  const Color(0xff838996): 'Roman Silver',
  const Color(0xfffffefd): 'Romance',
  const Color(0xffffd2b7): 'Romantic',
  const Color(0xffecc54e): 'Ronchi',
  const Color(0xffa62f20): 'Roof Terracotta',
  const Color(0xff8e4d1e): 'Rope',
  const Color(0xffff007f): 'Rose',
  const Color(0xfff9429e): 'Rose Bonbon',
  const Color(0xfffbb2a3): 'Rose Bud',
  const Color(0xff800b47): 'Rose Bud Cherry',
  const Color(0xff9e5e6f): 'Rose Dust',
  const Color(0xff674846): 'Rose Ebony',
  const Color(0xffe7bcb4): 'Rose Fog',
  const Color(0xffb76e79): 'Rose Gold',
  const Color(0xffff66cc): 'Rose Pink',
  const Color(0xffc21e56): 'Rose Red',
  const Color(0xff905d5d): 'Rose Taupe',
  const Color(0xffab4e52): 'Rose Vale',
  const Color(0xfffff6f5): 'Rose White',
  const Color(0xffbf5500): 'Rose of Sharon',
  const Color(0xff65000b): 'Rosewood',
  const Color(0xffd40000): 'Rosso Corsa',
  const Color(0xffbc8f8f): 'Rosy Brown',
  const Color(0xffc6a84b): 'Roti',
  const Color(0xffa23b6c): 'Rouge',
  const Color(0xff5d8aa8): 'Royal Air Force Blue',
  const Color(0xff0038a8): 'Royal Azure',
  const Color(0xff4169e1): 'Royal Blue',
  const Color(0xffca2c92): 'Royal Fuchsia',
  const Color(0xffab3472): 'Royal Heath',
  const Color(0xff7851a9): 'Royal Purple',
  const Color(0xffce4676): 'Ruber',
  const Color(0xffd10056): 'Rubine Red',
  const Color(0xffe0115f): 'Ruby',
  const Color(0xff9b111e): 'Ruby Red',
  const Color(0xffff0028): 'Ruddy',
  const Color(0xffbb6528): 'Ruddy Brown',
  const Color(0xffe18e96): 'Ruddy Pink',
  const Color(0xffa81c07): 'Rufous',
  const Color(0xff796989): 'Rum',
  const Color(0xfff9f8e4): 'Rum Swizzle',
  const Color(0xff80461b): 'Russet',
  const Color(0xff755a57): 'Russett',
  const Color(0xff679267): 'Russian Green',
  const Color(0xff32174d): 'Russian Violet',
  const Color(0xffb7410e): 'Rust',
  const Color(0xff480404): 'Rustic Red',
  const Color(0xff86560a): 'Rusty Nail',
  const Color(0xffda2c43): 'Rusty Red',
  const Color(0xffff7e00): 'SAE ECE Amber',
  const Color(0xff043927): 'Sacramento State Green',
  const Color(0xff4c3024): 'Saddle',
  const Color(0xff8b4513): 'Saddle Brown',
  const Color(0xffff7800): 'Safety Orange',
  const Color(0xffeed202): 'Safety Yellow',
  const Color(0xfff4c430): 'Saffron',
  const Color(0xfff9bf58): 'Saffron Mango',
  const Color(0xffbcb88a): 'Sage',
  const Color(0xffb7a214): 'Sahara',
  const Color(0xfff1e788): 'Sahara Sand',
  const Color(0xffb8e0f9): 'Sail',
  const Color(0xff097f4b): 'Salem',
  const Color(0xfffa8072): 'Salmon',
  const Color(0xffff91a4): 'Salmon Pink',
  const Color(0xfffedb8d): 'Salomie',
  const Color(0xff685e6e): 'Salt Box',
  const Color(0xfff1f7f2): 'Saltpan',
  const Color(0xff3a2010): 'Sambuca',
  const Color(0xff0b6207): 'San Felix',
  const Color(0xff304b6a): 'San Juan',
  const Color(0xff456cac): 'San Marino',
  const Color(0xff967117): 'Sand Dune',
  const Color(0xffaa8d6f): 'Sandal',
  const Color(0xffab917a): 'Sandrift',
  const Color(0xff796d62): 'Sandstone',
  const Color(0xffecd540): 'Sandstorm',
  const Color(0xfff5e7a2): 'Sandwisp',
  const Color(0xffffeac8): 'Sandy Beach',
  const Color(0xfff4a460): 'Sandy Brown',
  const Color(0xff92000a): 'Sangria',
  const Color(0xff8d3d38): 'Sanguine Brown',
  const Color(0xffb16d52): 'Santa Fe',
  const Color(0xff9fa0b1): 'Santas Gray',
  const Color(0xff507d2a): 'Sap Green',
  const Color(0xffded4a4): 'Sapling',
  const Color(0xff0f52ba): 'Sapphire',
  const Color(0xff0067a5): 'Sapphire Blue',
  const Color(0xff555b10): 'Saratoga',
  const Color(0xffff4681): 'Sasquatch Socks',
  const Color(0xffe6e4d4): 'Satin Linen',
  const Color(0xffcba135): 'Satin Sheen Gold',
  const Color(0xfffff5f3): 'Sauvignon',
  const Color(0xfffff4e0): 'Sazerac',
  const Color(0xff675fa6): 'Scampi',
  const Color(0xffcffaf4): 'Scandal',
  const Color(0xffff2400): 'Scarlet',
  const Color(0xff431560): 'Scarlet Gum',
  const Color(0xff950015): 'Scarlett',
  const Color(0xff585562): 'Scarpa Flow',
  const Color(0xffa9b497): 'Schist',
  const Color(0xffffd800): 'School Bus Yellow',
  const Color(0xff8b847e): 'Schooner',
  const Color(0xff0066cc): 'Science Blue',
  const Color(0xff2ebfd4): 'Scooter',
  const Color(0xff695f62): 'Scorpion',
  const Color(0xfffffbdc): 'Scotch Mist',
  const Color(0xff66ff66): 'Screamin Green',
  const Color(0xff006994): 'Sea Blue',
  const Color(0xfffba129): 'Sea Buckthorn',
  const Color(0xff2e8b57): 'Sea Green',
  const Color(0xffc5dbca): 'Sea Mist',
  const Color(0xff78a39c): 'Sea Nymph',
  const Color(0xffed989e): 'Sea Pink',
  const Color(0xff4bc7cf): 'Sea Serpent',
  const Color(0xff80ccea): 'Seagull',
  const Color(0xff59260b): 'Seal Brown',
  const Color(0xff731e8f): 'Seance',
  const Color(0xfffff5ee): 'Seashell',
  const Color(0xff1b2f11): 'Seaweed',
  const Color(0xfff0eefd): 'Selago',
  const Color(0xffffba00): 'Selective Yellow',
  const Color(0xff704214): 'Sepia',
  const Color(0xff2b0202): 'Sepia Black',
  const Color(0xff9e5b40): 'Sepia Skin',
  const Color(0xfffff4e8): 'Serenade',
  const Color(0xff8a795d): 'Shadow',
  const Color(0xff778ba5): 'Shadow Blue',
  const Color(0xff9ac2b8): 'Shadow Green',
  const Color(0xffaaa5a9): 'Shady Lady',
  const Color(0xff4eabd1): 'Shakespeare',
  const Color(0xfffbffba): 'Shalimar',
  const Color(0xffffcff1): 'Shampoo',
  const Color(0xff33cc99): 'Shamrock',
  const Color(0xff009e60): 'Shamrock Green',
  const Color(0xff25272c): 'Shark',
  const Color(0xff8fd400): 'Sheen Green',
  const Color(0xff004950): 'Sherpa Blue',
  const Color(0xff02402c): 'Sherwood Green',
  const Color(0xffe8b9b3): 'Shilo',
  const Color(0xffd98695): 'Shimmering Blush',
  const Color(0xff6b4e31): 'Shingle Fawn',
  const Color(0xff5fa778): 'Shiny Shamrock',
  const Color(0xff788bba): 'Ship Cove',
  const Color(0xff3e3a44): 'Ship Gray',
  const Color(0xffb20931): 'Shiraz',
  const Color(0xffe292c0): 'Shocking',
  const Color(0xfffc0fc0): 'Shocking Pink',
  const Color(0xff5f6672): 'Shuttle Gray',
  const Color(0xff646a54): 'Siam',
  const Color(0xfff3e7bb): 'Sidecar',
  const Color(0xff882d17): 'Sienna',
  const Color(0xffbdb1a8): 'Silk',
  const Color(0xffc0c0c0): 'Silver',
  const Color(0xffacacac): 'Silver Chalice',
  const Color(0xff5d89ba): 'Silver Lake Blue',
  const Color(0xffc4aead): 'Silver Pink',
  const Color(0xffbfc1c2): 'Silver Sand',
  const Color(0xff66b58f): 'Silver Tree',
  const Color(0xff9fd7d3): 'Sinbad',
  const Color(0xffcb410b): 'Sinopia',
  const Color(0xff7a013a): 'Siren',
  const Color(0xff718080): 'Sirocco',
  const Color(0xffd3cbba): 'Sisal',
  const Color(0xffff3855): 'Sizzling Red',
  const Color(0xffffdb00): 'Sizzling Sunrise',
  const Color(0xffcae6da): 'Skeptic',
  const Color(0xff007474): 'Skobeloff',
  const Color(0xff87ceeb): 'Sky Blue',
  const Color(0xffcf71af): 'Sky Magenta',
  const Color(0xff6a5acd): 'Slate Blue',
  const Color(0xff708090): 'Slate Gray',
  const Color(0xff299617): 'Slimy Green',
  const Color(0xff003399): 'Smalt',
  const Color(0xff51808f): 'Smalt Blue',
  const Color(0xffff6d3a): 'Smashed Pumpkin',
  const Color(0xffc84186): 'Smitten',
  const Color(0xff738276): 'Smoke',
  const Color(0xff832a0d): 'Smokey Topaz',
  const Color(0xff605b73): 'Smoky',
  const Color(0xff100c08): 'Smoky Black',
  const Color(0xff933d41): 'Smoky Topaz',
  const Color(0xfffffafa): 'Snow',
  const Color(0xfff7faf7): 'Snow Drift',
  const Color(0xffe4ffd1): 'Snow Flurry',
  const Color(0xffd6ffdb): 'Snowy Mint',
  const Color(0xffe2d8ed): 'Snuff',
  const Color(0xffcec8ef): 'Soap',
  const Color(0xfffffbf9): 'Soapstone',
  const Color(0xffd1c6b4): 'Soft Amber',
  const Color(0xfff5edef): 'Soft Peach',
  const Color(0xff893843): 'Solid Pink',
  const Color(0xfffef8e2): 'Solitaire',
  const Color(0xffeaf6ff): 'Solitude',
  // const Color(0xff757575): 'Sonic Silver',
  const Color(0xfffd7c07): 'Sorbus',
  const Color(0xffceb98f): 'Sorrell Brown',
  const Color(0xff6a6051): 'Soya Bean',
  const Color(0xff1d2951): 'Space Cadet',
  const Color(0xff807532): 'Spanish Bistre',
  const Color(0xff0070b8): 'Spanish Blue',
  const Color(0xffd10047): 'Spanish Carmine',
  const Color(0xffe51a4c): 'Spanish Crimson',
  const Color(0xff989898): 'Spanish Gray',
  const Color(0xff009150): 'Spanish Green',
  const Color(0xffe86100): 'Spanish Orange',
  const Color(0xfff7bfbe): 'Spanish Pink',
  const Color(0xffe60026): 'Spanish Red',
  const Color(0xff00aae4): 'Spanish Sky Blue',
  const Color(0xff4c2882): 'Spanish Violet',
  const Color(0xff007f5c): 'Spanish Viridian',
  const Color(0xff9e1316): 'Spartan Crimson',
  const Color(0xff2f5a57): 'Spectra',
  const Color(0xff6a442e): 'Spice',
  const Color(0xff8b5f4d): 'Spicy Mix',
  const Color(0xff74640d): 'Spicy Mustard',
  const Color(0xff816e71): 'Spicy Pink',
  const Color(0xffb6d1ea): 'Spindle',
  const Color(0xff0fc0fc): 'Spiro Disco Ball',
  const Color(0xff79deec): 'Spray',
  const Color(0xffa7fc00): 'Spring Bud',
  const Color(0xff87ff2a): 'Spring Frost',
  const Color(0xff00ff7f): 'Spring Green',
  const Color(0xff578363): 'Spring Leaves',
  const Color(0xffaccbb1): 'Spring Rain',
  const Color(0xfff6ffdc): 'Spring Sun',
  const Color(0xfff8f6f1): 'Spring Wood',
  const Color(0xffc1d7b0): 'Sprout',
  const Color(0xffaaabb7): 'Spun Pearl',
  const Color(0xff8f8176): 'Squirrel',
  const Color(0xff23297a): 'St Patricks Blue',
  const Color(0xff2d569b): 'St Tropaz',
  const Color(0xff8a8f8a): 'Stack',
  const Color(0xff007bb8): 'Star Command Blue',
  const Color(0xff9f9f9c): 'Star Dust',
  const Color(0xffe5d7bd): 'Stark White',
  const Color(0xffecf245): 'Starship',
  const Color(0xff4682b4): 'Steel Blue',
  const Color(0xff262335): 'Steel Gray',
  const Color(0xffcc33cc): 'Steel Pink',
  const Color(0xff5f8a8b): 'Steel Teal',
  const Color(0xff9c3336): 'Stiletto',
  const Color(0xff928573): 'Stonewall',
  const Color(0xff646463): 'Storm Dust',
  const Color(0xff717486): 'Storm Gray',
  const Color(0xff4f666a): 'Stormcloud',
  const Color(0xff000741): 'Stratos',
  const Color(0xffe4d96f): 'Straw',
  const Color(0xfffc5a8d): 'Strawberry',
  const Color(0xff956387): 'Strikemaster',
  const Color(0xff325d52): 'Stromboli',
  const Color(0xff714ab2): 'Studio',
  const Color(0xffbac7c9): 'Submarine',
  const Color(0xfff9fff6): 'Sugar Cane',
  const Color(0xff914e75): 'Sugar Plum',
  const Color(0xffc1f07c): 'Sulu',
  const Color(0xff96bbab): 'Summer Green',
  const Color(0xfffbac13): 'Sun',
  const Color(0xffff404c): 'Sunburnt Cyclops',
  const Color(0xffc9b35b): 'Sundance',
  const Color(0xffffb1b3): 'Sundown',
  const Color(0xffe4d422): 'Sunflower',
  const Color(0xffe16865): 'Sunglo',
  const Color(0xffffcc33): 'Sunglow',
  const Color(0xfff2f27a): 'Sunny',
  const Color(0xffe3ab57): 'Sunray',
  const Color(0xfffad6a5): 'Sunset',
  const Color(0xfffd5e53): 'Sunset Orange',
  const Color(0xffff9e2c): 'Sunshade',
  const Color(0xffcf6ba9): 'Super Pink',
  const Color(0xffffc901): 'Supernova',
  const Color(0xffbbd7c1): 'Surf',
  const Color(0xffcfe5d2): 'Surf Crest',
  const Color(0xff0c7a79): 'Surfie Green',
  const Color(0xff87ab39): 'Sushi',
  const Color(0xff888387): 'Suva Gray',
  const Color(0xff001b1c): 'Swamp',
  const Color(0xffacb78e): 'Swamp Green',
  const Color(0xffdcf0ea): 'Swans Down',
  const Color(0xffa83731): 'Sweet Brown',
  const Color(0xfffbea8c): 'Sweet Corn',
  const Color(0xfffd9fa2): 'Sweet Pink',
  const Color(0xffd3cdc5): 'Swirl',
  const Color(0xffddd6d5): 'Swiss Coffee',
  const Color(0xff908d39): 'Sycamore',
  const Color(0xffa02712): 'Tabasco',
  const Color(0xffedb381): 'Tacao',
  const Color(0xffd6c562): 'Tacha',
  const Color(0xffe97c07): 'Tahiti Gold',
  const Color(0xffeef0c8): 'Tahuna Sands',
  const Color(0xffb32d29): 'Tall Poppy',
  const Color(0xffa8a589): 'Tallow',
  const Color(0xff991613): 'Tamarillo',
  const Color(0xff341515): 'Tamarind',
  const Color(0xffd2b48c): 'Tan',
  const Color(0xfffa9d5a): 'Tan Hide',
  const Color(0xffd9dcc1): 'Tana',
  const Color(0xff03163c): 'Tangaroa',
  const Color(0xfff94d00): 'Tangelo',
  const Color(0xfff28500): 'Tangerine',
  const Color(0xffffcc00): 'Tangerine Yellow',
  const Color(0xffed7a1c): 'Tango',
  const Color(0xffe4717a): 'Tango Pink',
  const Color(0xff7b7874): 'Tapa',
  const Color(0xffb05e81): 'Tapestry',
  const Color(0xffe1f6e8): 'Tara',
  const Color(0xff073a50): 'Tarawera',
  const Color(0xfffb4d46): 'Tart Orange',
  const Color(0xffcfdccf): 'Tasman',
  const Color(0xff483c32): 'Taupe',
  const Color(0xff8b8589): 'Taupe Gray',
  const Color(0xff692545): 'Tawny Port',
  const Color(0xff1e433c): 'Te Papa Green',
  const Color(0xffc1bab0): 'Tea',
  const Color(0xffd0f0c0): 'Tea Green',
  const Color(0xfff4c2c2): 'Tea Rose',
  const Color(0xffb19461): 'Teak',
  const Color(0xff008080): 'Teal',
  const Color(0xff367588): 'Teal Blue',
  const Color(0xff99e6b3): 'Teal Deer',
  const Color(0xff00827f): 'Teal Green',
  const Color(0xffcf3476): 'Telemagenta',
  const Color(0xff3b000b): 'Temptress',
  const Color(0xffcd5700): 'Tenne',
  const Color(0xffffe6c7): 'Tequila',
  const Color(0xffe2725b): 'Terra Cotta',
  const Color(0xfff8f99c): 'Texas',
  const Color(0xffffb555): 'Texas Rose',
  const Color(0xffb69d98): 'Thatch',
  const Color(0xff403d19): 'Thatch Green',
  const Color(0xffd8bfd8): 'Thistle',
  const Color(0xffcccaa8): 'Thistle Green',
  const Color(0xffde6fa1): 'Thulian Pink',
  const Color(0xff33292f): 'Thunder',
  const Color(0xffc02b18): 'Thunderbird',
  const Color(0xffc1440e): 'Tia Maria',
  const Color(0xffc3d1d1): 'Tiara',
  const Color(0xff063537): 'Tiber',
  const Color(0xfffc89ac): 'Tickle Me Pink',
  const Color(0xfff1ffad): 'Tidal',
  const Color(0xffbfb8b0): 'Tide',
  const Color(0xff0abab5): 'Tiffany Blue',
  const Color(0xffe08d3c): 'Tigers Eye',
  const Color(0xff16322c): 'Timber Green',
  const Color(0xffdbd7d2): 'Timberwolf',
  const Color(0xfff0eeff): 'Titan White',
  const Color(0xffeee600): 'Titanium Yellow',
  const Color(0xff9a6e61): 'Toast',
  const Color(0xff715d47): 'Tobacco Brown',
  const Color(0xff3a0020): 'Toledo',
  const Color(0xff1b0245): 'Tolopea',
  const Color(0xff3f583b): 'Tom Thumb',
  const Color(0xffff6347): 'Tomato',
  const Color(0xffe79f8c): 'Tonys Pink',
  const Color(0xff746cc0): 'Toolbox',
  const Color(0xffffc87c): 'Topaz',
  const Color(0xff0f2d9e): 'Torea Bay',
  const Color(0xff1450aa): 'Tory Blue',
  const Color(0xff8d3f3f): 'Tosca',
  const Color(0xff991b07): 'Totem Pole',
  const Color(0xffa9bdbf): 'Tower Gray',
  const Color(0xfffd0e35): 'Tractor Red',
  const Color(0xff5fb3ac): 'Tradewind',
  const Color(0xffe6ffff): 'Tranquil',
  const Color(0xfffffde8): 'Travertine',
  const Color(0xfffc9c1d): 'Tree Poppy',
  const Color(0xff3b2820): 'Treehouse',
  const Color(0xff7c881a): 'Trendy Green',
  const Color(0xff8c6495): 'Trendy Pink',
  const Color(0xffe64e03): 'Trinidad',
  const Color(0xffc3ddf9): 'Tropical Blue',
  const Color(0xff00755e): 'Tropical Rain Forest',
  const Color(0xffcda4de): 'Tropical Violet',
  const Color(0xff4a4e5a): 'Trout',
  const Color(0xff0073cf): 'True Blue',
  const Color(0xff8a73d6): 'True V',
  const Color(0xff363534): 'Tuatara',
  const Color(0xffffddcd): 'Tuft Bush',
  const Color(0xff417dc1): 'Tufts Blue',
  const Color(0xffff878d): 'Tulip',
  const Color(0xffeab33b): 'Tulip Tree',
  const Color(0xffdeaa88): 'Tumbleweed',
  const Color(0xff353542): 'Tuna',
  const Color(0xff4a4244): 'Tundora',
  const Color(0xfffae600): 'Turbo',
  const Color(0xffb57281): 'Turkish Rose',
  const Color(0xffcabb48): 'Turmeric',
  const Color(0xff40e0d0): 'Turquoise',
  const Color(0xff00ffef): 'Turquoise Blue',
  const Color(0xffa0d6b4): 'Turquoise Green',
  const Color(0xff2a380b): 'Turtle Green',
  const Color(0xff7c4848): 'Tuscan Red',
  const Color(0xffa67b5b): 'Tuscan Tan',
  const Color(0xffc09999): 'Tuscany',
  const Color(0xffeef3c3): 'Tusk',
  const Color(0xffc5994b): 'Tussock',
  const Color(0xfffff1f9): 'Tutu',
  const Color(0xffe4cfde): 'Twilight',
  const Color(0xffeefdff): 'Twilight Blue',
  const Color(0xff8a496b): 'Twilight Lavender',
  const Color(0xffc2955d): 'Twine',
  const Color(0xff66023c): 'Tyrian Purple',
  const Color(0xff0033aa): 'UA Blue',
  const Color(0xffd9004c): 'UA Red',
  const Color(0xff536895): 'UCLA Blue',
  // const Color(0xffffb300): 'UCLA Gold',
  const Color(0xff3cd070): 'UFO Green',
  const Color(0xff014421): 'UP Forest Green',
  const Color(0xff7b1113): 'UP Maroon',
  const Color(0xff004f98): 'USAFA Blue',
  const Color(0xff8878c3): 'Ube',
  const Color(0xffff6fff): 'Ultra Pink',
  const Color(0xff3f00ff): 'Ultramarine',
  const Color(0xff4166f5): 'Ultramarine Blue',
  const Color(0xff635147): 'Umber',
  const Color(0xffffddca): 'Unbleached Silk',
  const Color(0xfff9e6f4): 'Underage Pink',
  const Color(0xff5b92e5): 'United Nations Blue',
  const Color(0xffb78727): 'University Of California Gold',
  const Color(0xfff77f00): 'University Of Tennessee Orange',
  const Color(0xffffff66): 'Unmellow Yellow',
  const Color(0xffae2029): 'Upsdell Red',
  const Color(0xffe1ad21): 'Urobilin',
  const Color(0xffd3003f): 'Utah Crimson',
  const Color(0xffd84437): 'Valencia',
  const Color(0xff350e42): 'Valentino',
  const Color(0xff2b194f): 'Valhalla',
  const Color(0xff49170c): 'Van Cleef',
  const Color(0xff664228): 'Van Dyke Brown',
  const Color(0xfff3e5ab): 'Vanilla',
  const Color(0xfff38fa9): 'Vanilla Ice',
  const Color(0xfffff6df): 'Varden',
  const Color(0xffc5b358): 'Vegas Gold',
  const Color(0xffc80815): 'Venetian Red',
  const Color(0xff055989): 'Venice Blue',
  const Color(0xff928590): 'Venus',
  const Color(0xff43b3ae): 'Verdigris',
  const Color(0xff495400): 'Verdun Green',
  const Color(0xffd9381e): 'Vermilion',
  const Color(0xffa020f0): 'Veronica',
  const Color(0xff74bbfb): 'Very Light Azure',
  const Color(0xff6666ff): 'Very Light Blue',
  const Color(0xff64e986): 'Very Light Malachite Green',
  const Color(0xffffb077): 'Very Light Tangelo',
  const Color(0xffffdfbf): 'Very Pale Orange',
  const Color(0xffffffbf): 'Very Pale Yellow',
  const Color(0xffb14a0b): 'Vesuvius',
  const Color(0xff534491): 'Victoria',
  const Color(0xff549019): 'Vida Loca',
  const Color(0xff64ccdb): 'Viking',
  const Color(0xff983d61): 'Vin Rouge',
  const Color(0xffcb8fa9): 'Viola',
  const Color(0xff290c5e): 'Violent Violet',
  const Color(0xff7f00ff): 'Violet',
  const Color(0xff324ab2): 'Violet Blue',
  const Color(0xff991199): 'Violet Eggplant',
  const Color(0xfff75394): 'Violet Red',
  const Color(0xff40826d): 'Viridian',
  const Color(0xff009698): 'Viridian Green',
  const Color(0xffffefa1): 'Vis Vis',
  const Color(0xff7c9ed9): 'Vista Blue',
  const Color(0xfffcf8f7): 'Vista White',
  const Color(0xffcc9900): 'Vivid Amber',
  const Color(0xff922724): 'Vivid Auburn',
  const Color(0xff9f1d35): 'Vivid Burgundy',
  const Color(0xffda1d81): 'Vivid Cerise',
  const Color(0xff00aaee): 'Vivid Cerulean',
  const Color(0xffcc0033): 'Vivid Crimson',
  const Color(0xffff9900): 'Vivid Gamboge',
  const Color(0xffa6d608): 'Vivid Lime Green',
  const Color(0xff00cc33): 'Vivid Malachite',
  const Color(0xffb80ce3): 'Vivid Mulberry',
  const Color(0xffff5f00): 'Vivid Orange',
  // const Color(0xffffa000): 'Vivid Orange Peel',
  const Color(0xffcc00ff): 'Vivid Orchid',
  const Color(0xffff006c): 'Vivid Raspberry',
  const Color(0xfff70d1a): 'Vivid Red',
  const Color(0xffdf6124): 'Vivid Red Tangelo',
  const Color(0xff00ccff): 'Vivid Sky Blue',
  const Color(0xfff07427): 'Vivid Tangelo',
  const Color(0xffffa089): 'Vivid Tangerine',
  const Color(0xffe56024): 'Vivid Vermilion',
  const Color(0xff9f00ff): 'Vivid Violet',
  const Color(0xffffe302): 'Vivid Yellow',
  const Color(0xffceff00): 'Volt',
  const Color(0xff533455): 'Voodoo',
  const Color(0xff10121d): 'Vulcan',
  const Color(0xffdecbc6): 'Wafer',
  const Color(0xff5a6e9c): 'Waikawa Gray',
  const Color(0xff363c0d): 'Waiouru',
  const Color(0xff773f1a): 'Walnut',
  const Color(0xff004242): 'Warm Black',
  const Color(0xff788a25): 'Wasabi',
  const Color(0xffa1e9de): 'Water Leaf',
  const Color(0xff056f57): 'Watercourse',
  const Color(0xff7b7c94): 'Waterloo ',
  const Color(0xffa4f4f9): 'Waterspout',
  const Color(0xffdcd747): 'Wattle',
  const Color(0xffffddcf): 'Watusi',
  const Color(0xffffc0a8): 'Wax Flower',
  const Color(0xfff7dbe6): 'We Peep',
  const Color(0xff7fff00): 'Web Chartreuse',
  const Color(0xffffa500): 'Web Orange',
  const Color(0xff4e7f9e): 'Wedgewood',
  const Color(0xff7c98ab): 'Weldon Blue',
  const Color(0xffb43332): 'Well Read',
  const Color(0xff645452): 'Wenge',
  const Color(0xff625119): 'West Coast',
  const Color(0xffff910f): 'West Side',
  const Color(0xffdcd9d2): 'Westar',
  const Color(0xfff19bab): 'Wewak',
  const Color(0xfff5deb3): 'Wheat',
  const Color(0xfff3edcf): 'Wheatfield',
  const Color(0xffd59a6f): 'Whiskey',
  const Color(0xfff7f5fa): 'Whisper',
  const Color(0xffffffff): 'White',
  const Color(0xffddf9f1): 'White Ice',
  const Color(0xfff8f7fc): 'White Lilac',
  const Color(0xfff8f0e8): 'White Linen',
  const Color(0xfffef8ff): 'White Pointer',
  const Color(0xffeae8d4): 'White Rock',
  // const Color(0xfff5f5f5): 'White Smoke',
  const Color(0xffa2add0): 'Wild Blue Yonder',
  const Color(0xffd470a2): 'Wild Orchid',
  const Color(0xffece090): 'Wild Rice',
  const Color(0xfff4f4f4): 'Wild Sand',
  const Color(0xffff43a4): 'Wild Strawberry',
  const Color(0xfffc6c85): 'Wild Watermelon',
  const Color(0xffb9c46a): 'Wild Willow',
  const Color(0xff3a686c): 'William',
  const Color(0xffdfecda): 'Willow Brook',
  const Color(0xff65745d): 'Willow Grove',
  const Color(0xfffd5800): 'Willpower Orange',
  const Color(0xff3c0878): 'Windsor',
  const Color(0xffa75502): 'Windsor Tan',
  const Color(0xff722f37): 'Wine',
  const Color(0xff591d35): 'Wine Berry',
  const Color(0xff673147): 'Wine Dregs',
  const Color(0xffd5d195): 'Winter Hazel',
  const Color(0xffff007c): 'Winter Sky',
  const Color(0xffa0e6ff): 'Winter Wizard',
  const Color(0xff56887d): 'Wintergreen Dream',
  const Color(0xfffef4f8): 'Wisp Pink',
  const Color(0xffc9a0dc): 'Wisteria',
  const Color(0xffa4a6d3): 'Wistful',
  const Color(0xfffffc99): 'Witch Haze',
  const Color(0xff261105): 'Wood Bark',
  const Color(0xff4d5328): 'Woodland',
  const Color(0xff302a0f): 'Woodrush',
  const Color(0xff0c0d0f): 'Woodsmoke',
  const Color(0xff483131): 'Woody Brown',
  const Color(0xff006400): 'X11 Dark Green',
  const Color(0xffbebebe): 'X11 Gray',
  const Color(0xff738678): 'Xanadu',
  const Color(0xff0f4d92): 'Yale Blue',
  const Color(0xff1c2841): 'Yankees Blue',
  // const Color(0xffffff00): 'Yellow',
  const Color(0xff9acd32): 'Yellow Green',
  const Color(0xff716338): 'Yellow Metal',
  const Color(0xffffae42): 'Yellow Orange',
  const Color(0xfffff000): 'Yellow Rose',
  const Color(0xfffea904): 'Yellow Sea',
  const Color(0xffffc3c0): 'Your Pink',
  const Color(0xff7b6608): 'Yukon Gold',
  const Color(0xffcec291): 'Yuma',
  const Color(0xff0014a8): 'Zaffre',
  const Color(0xff685558): 'Zambezi',
  const Color(0xffdaecd6): 'Zanah',
  const Color(0xffe5841b): 'Zest',
  const Color(0xff292319): 'Zeus',
  const Color(0xffbfdbe2): 'Ziggurat',
  const Color(0xffebc2af): 'Zinnwaldite',
  const Color(0xff2c1608): 'Zinnwaldite Brown',
  const Color(0xfff4f8ff): 'Zircon',
  const Color(0xffe4d69b): 'Zombie',
  const Color(0xff39a78e): 'Zomp',
  const Color(0xffa59b91): 'Zorba',
  const Color(0xff044022): 'Zuccini',
  const Color(0xffedf6ff): 'Zumthor'
};

ColorAffinity findAffinity(Color color) {
  double? minDiff;
  late MapEntry<Color, String> result;
  for (final entry in _names.entries) {
    final diff = color.differenceRGB(entry.key);
    if (minDiff == null || diff < minDiff) {
      minDiff = diff;
      result = entry;
      if (diff == 0) break;
    }
  }
  final resultColor = result.key.withAlpha(color.alpha);
  return ColorAffinity._(color, resultColor, result.value, minDiff!);
}

class ColorAffinity {
  final Color src;
  final Color color;
  final String name;
  final double difference;

  bool get exact => difference == 0;

  double get differencePercentage => difference * 255 / 100;

  const ColorAffinity._(this.src, this.color, this.name, this.difference);

  @override
  String toString() =>
      '#${src.hexString}: ${exact ? '' : '~'}$name ${exact ? '' : '(${(100 - differencePercentage).toStringAsFixed(1)}%)'}';
}
